Header Selection

This example demonstrates the DataViews header selection feature, which allows the user to select entire sets of data based on the rows and groups.

Description
index.html
app.js
data.js

This example demonstrates the DataViews header selection feature, which allows the user to select entire sets of data based on the rows and groups.

When the allowHeaderSelect property is set to true, a selection icon is placed in the row header. When the icon is clicked, that row is selected. If that row is a group header, the group is selected. If that row is the grid header (or if you select the header in the top left header cell), the entire grid is selected.

This example demonstrates the DataViews header selection feature, which allows the user to select entire sets of data based on the rows and groups. When the allowHeaderSelect property is set to true, a selection icon is placed in the row header. When the icon is clicked, that row is selected. If that row is a group header, the group is selected. If that row is the grid header (or if you select the header in the top left header cell), the entire grid is selected.
<!DOCTYPE html> <html lang="en"> <head> <base href="/dataviewsjs/demos/en/sample/Features/Selection/HeaderSelection/purejs/" /> <meta charset="utf-8" /> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta name="keywords" content="selection, multiple selection, header row checkbox" /> <meta name="description" content="This example demonstrates the DataViews header selection feature, which allows the user to select entire sets of data based on the rows and groups." /> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <title>Header Selection | Features | MESCIUS DataViewsJS JavaScript Demos</title> <link href="/dataviewsjs/demos/node_modules/normalize.css/normalize.css" rel="stylesheet" type="text/css" /> <link href="/dataviewsjs/demos/static/css/base.css" rel="stylesheet" type="text/css" /> <link href="/dataviewsjs/demos/static/dataviews/gc.dataviews.core.min.css" rel="stylesheet" type="text/css" /> <link href="/dataviewsjs/demos/static/dataviews/gc.dataviews.grid.min.css" rel="stylesheet" type="text/css" /> <script src="/dataviewsjs/demos/static/js/app-polyfills.min.js" type="text/javascript"></script> <script type="text/javascript"> window.process = { env: { NODE_ENV: 'production', USE_NPM: false, USE_CDN: false, SITE_ROOT: '/dataviewsjs/demos', FRAMEWORK: 'purejs', DVJS_LICENSE_KEY: 'E348418822993781#B0EWvwY4dNNVQqJHUDpFROVWe5ZWNYFlVQFmRsJWRht4Z6lDO4Vla7YUaXhEWxd7Z5YXMuRnY7tWTQRHSlVnaYlXNhlEOpdkZ0FHWYJ5QKd6VXN5aR3ieGhUav9kZTBXWahkYBhEVutmZ72CbjdlZvV5TVdGdiplQsZXe95kUmNmZVF5cJ3mcypWNyx4UydESE3UblxGZyE7KQ94R4BjbUxUewsiaoREMxRDNllWREV6Voh4Q4dDZPRjWrIzUJl4TERXcQZWMHp4Sp9WaMZzN5o6StJmVDJXcwIVVmR6UMVGOlxUW8RmTxZDZTJWVN5GZqJHZuVDMkVGSW3WdxNzKCdDdSB7TzY7cqlnMU5GVyNzNP9WMyhDRvEEOFdkQORDM4dFVlFFWqFWSyMjNQJiOiMlIsISQyIkQ9YjQxIiOigkIsUTM7YjNxYTM0IicfJye&amp;Qf35VfikFVVljI0IyQiwiIxYHITp4c7VWaWFGdhRkI0IiTis7W0ICZyBlIsIiNxUTN6ADI8EDMxMjMwIjI0ICdyNkIsIyc59yc5l6YzVWbuoCLwpmLzVXajNXZt9iKs2WauMXdpN6cl5mLqwSbvNmLzVXajNXZt9iKsAnau26YuMXdpN6cl5mLqwSbvNmL6VGZ9RXajVGchJ7ZuoCLuNmLt36YukHdpNWZwFmcn9iKs46bj9Se4l6YlBXYydmLqwicr9ybj9Se4l6YlBXYydmLqwCcq9ybj9Se4l6YlBXYydmLqIiOiMXbEJCLiMVVJN4UF5kI0ISYONkIsUWdyRnOiwmdFJCLiEDO7MTO9IjM8gTM4gDNzIiOiQWSisnOiQkIsISP3EkVxBVUHFDMplzLlVUdGd7cI9UeIt4SshESzV7NvY7ZxlDOuNTb5tzLr', SJS_LICENSE_KEY: 'E518585142165236#B0wm4nx4QzdlTHRTSOFzcvVnaJdjSnNEeXdTMUtSUzk6bU94QuVXNwZVZjd4SzYjcadXRIVEMzEXTThkVyR7R85UayoHZZBTYQ5mZyh4Shd6VxFXazF4cBNGRG5WTvUGTsV4T6knQYRzKxxUdk9EarplU7d6VLF6KIR7bPJ5N6ZUMWZWaURGRKRDbLJDN5YjSN5mUoxmaxonSD56LEh7Y7RXenpmTvomevZlV9dkaysCO7hTRQFHcGRWQyc5LI9kQmB7QwR4Z7ZHOR3CSXp6SiFWYzFXeXZUSp94K8VDTkFjdwl4KptSYlRWcDxmNE5kS6kzdrkVcNJXROVGbLJkcTNGRzIER8tmd4YGNhh7dxAnMvIHRv46VtBXS4U5KvJ6dZJ6M5p4TxIjd9I5QSpXTTV6SDZXb7lzaL56ZiojITJCLikTQxUTQFV4NiojIIJCLyETO7UzM7kTO0IicfJye&amp;Qf35VfikkR9IkI0IyQiwiIyEjL6ByUKBCZhVmcwNlI0IiTis7W0ICZyBlIsISNwkTN6ADI8EDMxMjMwIjI0ICdyNkIsIyc59yc5l6YzVWbuoCLwpmLzVXajNXZt9iKs2WauMXdpN6cl5mLqwSbvNmLzVXajNXZt9iKsAnau26YuMXdpN6cl5mLqwSbvNmL6VGZ9RXajVGchJ7ZuoCLuNmLt36YukHdpNWZwFmcn9iKs46bj9Se4l6YlBXYydmLqwicr9ybj9Se4l6YlBXYydmLqwCcq9ybj9Se4l6YlBXYydmLqIiOiMXbEJCLiMVVJN4UF5kI0ISYONkIsUWdyRnOiwmdFJCLiYzMyUjNxIDNxUDO5gTM5IiOiQWSiwSfdtlOicGbmJCLlNHbhZmOiI7ckJye0ICbuFkI1pjIEJCLi4TPRtGOhtWWEFWd4IDOLRVRvx4SyMGcDhTW6n4ep', }, }; </script> <script src="/dataviewsjs/demos/static/dataviews/gc.dataviews.common.min.js" type="text/javascript"></script> <script src="/dataviewsjs/demos/static/dataviews/gc.dataviews.core.min.js" type="text/javascript"></script> <script src="/dataviewsjs/demos/static/dataviews/gc.dataviews.grid.min.js" type="text/javascript"></script> <script src="/dataviewsjs/demos/static/js/license.js" type="text/javascript"></script> </head> <body class="theme-default"> <noscript>You need to enable JavaScript to run this app.</noscript> <div id="grid" class="grid"></div> <script src="data.js" type="text/javascript"></script> <script src="app.js" type="text/javascript"></script> </body> </html>
var cols = [ { id: 'country', caption: 'Country', dataField: 'Country', width: 180, }, { id: 'state', caption: 'State', dataField: 'State', width: 120, }, { id: 'city', caption: 'City', dataField: 'City', width: 120, }, { id: 'product', caption: 'Product', dataField: 'Product', width: 300, }, { id: 'detail', caption: 'Detail', dataField: 'Product_Detail', width: '*', minWidth: 300, }, ]; new GC.DataViews.DataView( document.getElementById('grid'), data, cols, new GC.DataViews.GridLayout({ allowGrouping: true, defaultGroupingInfo: { footer: { visible: false, }, }, grouping: [ { field: 'country', }, ], allowHeaderSelect: true, selectionMode: 'multiple', rowHeight: 30, }) ); // focus data.view by default document.getElementById('grid').focus();
// sales jan small dataset var data = [{ Transaction_Id: 182782, Transaction_Date: '2018/1/2', Product: 'KIND Bars Almond & Coconut Gluten Free', Price: 14.5, Payment_Type: 'Mastercard', Name: 'Carolina', City: 'Basildon', State: 'England', Country: 'United Kingdom', Product_Detail: '1.4 Ounce Bars 12 Count', Quantity: 8 }, { Transaction_Id: 182783, Transaction_Date: '2018/1/2', Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)", Price: 35, Payment_Type: 'Visa', Name: 'Betina', City: 'Parkville', State: 'MO', Country: 'United States', Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher', Quantity: 3 }, { Transaction_Id: 182784, Transaction_Date: '2018/1/2', Product: 'Kraft Grated Parmesan Cheese', Price: 14.89, Payment_Type: 'Mastercard', Name: 'Federica e Andrea', City: 'Astoria', State: 'OR', Country: 'United States', Product_Detail: '24 oz', Quantity: 1 }, { Transaction_Id: 182785, Transaction_Date: '2018/1/3', Product: 'KIND Bars Almond & Coconut Gluten Free', Price: 14.5, Payment_Type: 'Visa', Name: 'Gouya', City: 'Echuca', State: 'Victoria', Country: 'Australia', Product_Detail: '1.4 Ounce Bars 12 Count', Quantity: 2 }, { Transaction_Id: 182786, Transaction_Date: '2018/1/4', Product: 'Kraft Real Mayo', Price: 5.71, Payment_Type: 'Visa', Name: 'Gerd W', City: 'Cahaba Heights', State: 'AL', Country: 'United States', Product_Detail: '30 Ounces', Quantity: 1 }, { Transaction_Id: 182787, Transaction_Date: '2018/1/4', Product: 'Kraft Real Mayo', Price: 5.71, Payment_Type: 'Visa', Name: 'LAURENCE', City: 'Mickleton', State: 'NJ', Country: 'United States', Product_Detail: '30 Ounces', Quantity: 1 }, { Transaction_Id: 182788, Transaction_Date: '2018/1/4', Product: 'KIND Bars Almond & Coconut Gluten Free', Price: 14.5, Payment_Type: 'Mastercard', Name: 'Fleur', City: 'Peoria', State: 'IL', Country: 'United States', Product_Detail: '1.4 Ounce Bars 12 Count', Quantity: 9 }, { Transaction_Id: 182789, Transaction_Date: '2018/1/2', Product: 'KIND Bars Almond & Coconut Gluten Free', Price: 14.5, Payment_Type: 'Mastercard', Name: 'Adam', City: 'Martin', State: 'TN', Country: 'United States', Product_Detail: '1.4 Ounce Bars 12 Count', Quantity: 1 }, { Transaction_Id: 182790, Transaction_Date: '2018/1/4', Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)", Price: 35, Payment_Type: 'Mastercard', Name: 'Renee Elisabeth', City: 'Tel Aviv', State: 'Tel Aviv', Country: 'Israel', Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher', Quantity: 2 }, { Transaction_Id: 182791, Transaction_Date: '2018/1/4', Product: 'Smartfood Popcorn', Price: 2.5, Payment_Type: 'Visa', Name: 'Aidan', City: 'Chatou', State: 'Ile-de-France', Country: 'France', Product_Detail: 'White Cheddar 9 Ounce', Quantity: 5 }, { Transaction_Id: 182792, Transaction_Date: '2018/1/5', Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)", Price: 35, Payment_Type: 'Diners', Name: 'Stacy', City: 'New York', State: 'NY', Country: 'United States', Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher', Quantity: 1 }, { Transaction_Id: 182793, Transaction_Date: '2018/1/5', Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)", Price: 35, Payment_Type: 'Amex', Name: 'Heidi', City: 'Eindhoven', State: 'Noord-Brabant', Country: 'Netherlands', Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher', Quantity: 1 }, { Transaction_Id: 182794, Transaction_Date: '2018/1/2', Product: 'Kraft Real Mayo', Price: 5.71, Payment_Type: 'Mastercard', Name: 'Sean', City: 'Shavano Park', State: 'TX', Country: 'United States', Product_Detail: '30 Ounces', Quantity: 1 }, { Transaction_Id: 182795, Transaction_Date: '2018/1/5', Product: 'Planters Deluxe Whole Cashew', Price: 8.52, Payment_Type: 'Visa', Name: 'Georgia', City: 'Eagle', State: 'ID', Country: 'United States', Product_Detail: '18.25 Ounce', Quantity: 4 }, { Transaction_Id: 182796, Transaction_Date: '2018/1/2', Product: 'Smartfood Popcorn', Price: 2.5, Payment_Type: 'Visa', Name: 'Richard', City: 'Riverside', State: 'NJ', Country: 'United States', Product_Detail: 'White Cheddar 9 Ounce', Quantity: 1 }, { Transaction_Id: 182797, Transaction_Date: '2018/1/4', Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)", Price: 35, Payment_Type: 'Diners', Name: 'Leanne', City: 'Julianstown', State: 'Meath', Country: 'Ireland', Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher', Quantity: 1 }, { Transaction_Id: 182798, Transaction_Date: '2018/1/5', Product: 'Kraft Grated Parmesan Cheese', Price: 14.89, Payment_Type: 'Visa', Name: 'Janet', City: 'Ottawa', State: 'Ontario', Country: 'Canada', Product_Detail: '24 oz', Quantity: 1 }, { Transaction_Id: 182799, Transaction_Date: '2018/1/6', Product: 'Teddy Grahams Crackers', Price: 19.6, Payment_Type: 'Diners', Name: 'Barbara', City: 'Hyderabad', State: 'Andhra Pradesh', Country: 'India', Product_Detail: 'Honey 10-Ounce Boxes 6-Pack', Quantity: 1 }, { Transaction_Id: 182800, Transaction_Date: '2018/1/6', Product: 'Kraft Grated Parmesan Cheese', Price: 14.89, Payment_Type: 'Visa', Name: 'Sabine', City: 'London', State: 'England', Country: 'United Kingdom', Product_Detail: '24 oz', Quantity: 1 }, { Transaction_Id: 182801, Transaction_Date: '2018/1/2', Product: 'Kraft Grated Parmesan Cheese', Price: 14.89, Payment_Type: 'Diners', Name: 'Hani', City: 'Salt Lake City', State: 'UT', Country: 'United States', Product_Detail: '24 oz', Quantity: 1 }, { Transaction_Id: 182802, Transaction_Date: '2018/1/6', Product: 'Kraft Grated Parmesan Cheese', Price: 14.89, Payment_Type: 'Visa', Name: 'Jeremy', City: 'Manchester', State: 'England', Country: 'United Kingdom', Product_Detail: '24 oz', Quantity: 10 }, { Transaction_Id: 182803, Transaction_Date: '2018/1/1', Product: 'Smartfood Popcorn', Price: 2.5, Payment_Type: 'Diners', Name: 'Janis', City: 'Ballynora', State: 'Cork', Country: 'Ireland', Product_Detail: 'White Cheddar 9 Ounce', Quantity: 3 }, { Transaction_Id: 182804, Transaction_Date: '2018/1/5', Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)", Price: 35, Payment_Type: 'Mastercard', Name: 'Nicola', City: 'Roodepoort', State: 'Gauteng', Country: 'South Africa', Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher', Quantity: 1 }, { Transaction_Id: 182805, Transaction_Date: '2018/1/6', Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)", Price: 35, Payment_Type: 'Visa', Name: 'Asuman', City: 'Chula Vista', State: 'CA', Country: 'United States', Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher', Quantity: 2 }, { Transaction_Id: 182806, Transaction_Date: '2018/1/2', Product: 'Planters Deluxe Whole Cashew', Price: 8.52, Payment_Type: 'Mastercard', Name: 'Lena', City: 'Kuopio', State: 'Ita-Suomen Laani', Country: 'Finland', Product_Detail: '18.25 Ounce', Quantity: 1 }, { Transaction_Id: 182807, Transaction_Date: '2018/1/1', Product: 'Kraft Real Mayo', Price: 5.71, Payment_Type: 'Visa', Name: 'Lisa', City: 'Sugar Land', State: 'TX', Country: 'United States', Product_Detail: '30 Ounces', Quantity: 5 }, { Transaction_Id: 182808, Transaction_Date: '2018/1/7', Product: 'Kraft Grated Parmesan Cheese', Price: 14.89, Payment_Type: 'Diners', Name: 'Bryan Kerrene', City: 'New York', State: 'NY', Country: 'United States', Product_Detail: '24 oz', Quantity: 1 }, { Transaction_Id: 182809, Transaction_Date: '2018/1/2', Product: 'KIND Bars Almond & Coconut Gluten Free', Price: 14.5, Payment_Type: 'Visa', Name: 'Chris', City: 'London', State: 'England', Country: 'United Kingdom', Product_Detail: '1.4 Ounce Bars 12 Count', Quantity: 1 }, { Transaction_Id: 182810, Transaction_Date: '2018/1/1', Product: 'Teddy Grahams Crackers', Price: 19.6, Payment_Type: 'Visa', Name: 'Maxine', City: 'Morton', State: 'IL', Country: 'United States', Product_Detail: 'Honey 10-Ounce Boxes 6-Pack', Quantity: 6 }, { Transaction_Id: 182811, Transaction_Date: '2018/1/8', Product: 'KIND Bars Almond & Coconut Gluten Free', Price: 14.5, Payment_Type: 'Visa', Name: 'Family', City: 'Los Gatos', State: 'CA', Country: 'United States', Product_Detail: '1.4 Ounce Bars 12 Count', Quantity: 1 }, { Transaction_Id: 182812, Transaction_Date: '2018/1/8', Product: 'Teddy Grahams Crackers', Price: 19.6, Payment_Type: 'Mastercard', Name: 'Katherine', City: 'New York', State: 'NY', Country: 'United States', Product_Detail: 'Honey 10-Ounce Boxes 6-Pack', Quantity: 1 }, { Transaction_Id: 182813, Transaction_Date: '2018/1/8', Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)", Price: 35, Payment_Type: 'Mastercard', Name: 'Linda', City: 'Miami', State: 'FL', Country: 'United States', Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher', Quantity: 1 }, { Transaction_Id: 182814, Transaction_Date: '2018/1/8', Product: 'KIND Bars Almond & Coconut Gluten Free', Price: 14.5, Payment_Type: 'Mastercard', Name: 'SYLVIA', City: 'Vesenaz', State: 'Geneve', Country: 'Switzerland', Product_Detail: '1.4 Ounce Bars 12 Count', Quantity: 7 }, { Transaction_Id: 182815, Transaction_Date: '2018/1/3', Product: 'Teddy Grahams Crackers', Price: 19.6, Payment_Type: 'Diners', Name: 'Sheila', City: 'Brooklyn', State: 'NY', Country: 'United States', Product_Detail: 'Honey 10-Ounce Boxes 6-Pack', Quantity: 4 }, { Transaction_Id: 182816, Transaction_Date: '2018/1/5', Product: 'Kraft Real Mayo', Price: 5.71, Payment_Type: 'Mastercard', Name: 'Stephanie', City: 'Badhoevedorp', State: 'Noord-Holland', Country: 'Netherlands', Product_Detail: '30 Ounces', Quantity: 1 }, { Transaction_Id: 182817, Transaction_Date: '2018/1/6', Product: 'Kraft Real Mayo', Price: 5.71, Payment_Type: 'Amex', Name: 'Kelly', City: 'Reston', State: 'VA', Country: 'United States', Product_Detail: '30 Ounces', Quantity: 1 }, { Transaction_Id: 182818, Transaction_Date: '2018/1/5', Product: 'Smartfood Popcorn', Price: 2.5, Payment_Type: 'Visa', Name: 'James', City: 'Burpengary', State: 'Queensland', Country: 'Australia', Product_Detail: 'White Cheddar 9 Ounce', Quantity: 1 }, { Transaction_Id: 182819, Transaction_Date: '2018/1/8', Product: 'Smartfood Popcorn', Price: 2.5, Payment_Type: 'Visa', Name: 'Jennifer', City: 'Phoenix', State: 'AZ', Country: 'United States', Product_Detail: 'White Cheddar 9 Ounce', Quantity: 3 }, { Transaction_Id: 182820, Transaction_Date: '2018/1/9', Product: 'Planters Deluxe Whole Cashew', Price: 8.52, Payment_Type: 'Mastercard', Name: 'Anneli', City: 'Houston', State: 'TX', Country: 'United States', Product_Detail: '18.25 Ounce', Quantity: 1 }, { Transaction_Id: 182821, Transaction_Date: '2018/1/6', Product: 'Planters Deluxe Whole Cashew', Price: 8.52, Payment_Type: 'Amex', Name: 'Ritz', City: 'Pittsfield', State: 'VT', Country: 'United States', Product_Detail: '18.25 Ounce', Quantity: 2 }, { Transaction_Id: 182822, Transaction_Date: '2018/1/6', Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)", Price: 35, Payment_Type: 'Amex', Name: 'Sylvia', City: 'Pittsfield', State: 'VT', Country: 'United States', Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher', Quantity: 1 }, { Transaction_Id: 182823, Transaction_Date: '2018/1/7', Product: 'Smartfood Popcorn', Price: 2.5, Payment_Type: 'Mastercard', Name: 'Marie', City: 'Ball Ground', State: 'GA', Country: 'United States', Product_Detail: 'White Cheddar 9 Ounce', Quantity: 1 }, { Transaction_Id: 182824, Transaction_Date: '2018/1/3', Product: 'Planters Deluxe Whole Cashew', Price: 8.52, Payment_Type: 'Visa', Name: 'Mehmet Fatih', City: 'Helsingor', State: 'Frederiksborg', Country: 'Denmark', Product_Detail: '18.25 Ounce', Quantity: 1 }, { Transaction_Id: 182825, Transaction_Date: '2018/1/7', Product: 'Teddy Grahams Crackers', Price: 19.6, Payment_Type: 'Visa', Name: 'Anabela', City: 'Flossmoor', State: 'IL', Country: 'United States', Product_Detail: 'Honey 10-Ounce Boxes 6-Pack', Quantity: 1 }, { Transaction_Id: 182826, Transaction_Date: '2018/1/7', Product: 'KIND Bars Almond & Coconut Gluten Free', Price: 14.5, Payment_Type: 'Amex', Name: 'Nicole', City: 'Houston', State: 'TX', Country: 'United States', Product_Detail: '1.4 Ounce Bars 12 Count', Quantity: 1 }, { Transaction_Id: 182827, Transaction_Date: '2018/1/3', Product: 'Smartfood Popcorn', Price: 2.5, Payment_Type: 'Visa', Name: 'Christiane', City: 'Delray Beach', State: 'FL', Country: 'United States', Product_Detail: 'White Cheddar 9 Ounce', Quantity: 9 }, { Transaction_Id: 182828, Transaction_Date: '2018/1/9', Product: 'Kraft Grated Parmesan Cheese', Price: 14.89, Payment_Type: 'Mastercard', Name: 'Sari', City: 'Newbury', State: 'England', Country: 'United Kingdom', Product_Detail: '24 oz', Quantity: 4 }, { Transaction_Id: 182829, Transaction_Date: '2018/1/3', Product: 'Kraft Grated Parmesan Cheese', Price: 14.89, Payment_Type: 'Mastercard', Name: 'Simone', City: 'Kobenhavn', State: 'Kobenhavn', Country: 'Denmark', Product_Detail: '24 oz', Quantity: 1 }, { Transaction_Id: 182830, Transaction_Date: '2018/1/10', Product: 'Planters Deluxe Whole Cashew', Price: 8.52, Payment_Type: 'Amex', Name: 'Vanessa', City: 'Sandy Springs', State: 'GA', Country: 'United States', Product_Detail: '18.25 Ounce', Quantity: 1 }, { Transaction_Id: 182831, Transaction_Date: '2018/1/10', Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)", Price: 35, Payment_Type: 'Diners', Name: 'Anupam', City: 'Kinsaley', State: 'Dublin', Country: 'Ireland', Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher', Quantity: 2 }, { Transaction_Id: 182832, Transaction_Date: '2018/1/10', Product: 'KIND Bars Almond & Coconut Gluten Free', Price: 14.5, Payment_Type: 'Visa', Name: 'Karina', City: 'Fort Lauderdale', State: 'FL', Country: 'United States', Product_Detail: '1.4 Ounce Bars 12 Count', Quantity: 2 }, { Transaction_Id: 182833, Transaction_Date: '2018/1/6', Product: 'Teddy Grahams Crackers', Price: 19.6, Payment_Type: 'Mastercard', Name: 'Frank', City: 'Melbourne', State: 'Victoria', Country: 'Australia', Product_Detail: 'Honey 10-Ounce Boxes 6-Pack', Quantity: 3 }, { Transaction_Id: 182834, Transaction_Date: '2018/1/10', Product: 'Kraft Real Mayo', Price: 5.71, Payment_Type: 'Visa', Name: 'Angela', City: 'Ankeny', State: 'IA', Country: 'United States', Product_Detail: '30 Ounces', Quantity: 8 }, { Transaction_Id: 182835, Transaction_Date: '2018/1/7', Product: 'Kraft Grated Parmesan Cheese', Price: 14.89, Payment_Type: 'Visa', Name: 'Darren', City: 'Pittsboro', State: 'NC', Country: 'United States', Product_Detail: '24 oz', Quantity: 10 }, { Transaction_Id: 182836, Transaction_Date: '2018/1/1', Product: 'KIND Bars Almond & Coconut Gluten Free', Price: 14.5, Payment_Type: 'Mastercard', Name: 'Nikki', City: 'New Rochelle', State: 'NY', Country: 'United States', Product_Detail: '1.4 Ounce Bars 12 Count', Quantity: 4 }, { Transaction_Id: 182837, Transaction_Date: '2018/1/11', Product: 'Planters Deluxe Whole Cashew', Price: 8.52, Payment_Type: 'Visa', Name: 'Chris', City: 'Gold Coast', State: 'Queensland', Country: 'Australia', Product_Detail: '18.25 Ounce', Quantity: 3 }, { Transaction_Id: 182838, Transaction_Date: '2018/1/11', Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)", Price: 35, Payment_Type: 'Visa', Name: 'Stephanie', City: 'Brussels', State: 'Brussels (Bruxelles)', Country: 'Belgium', Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher', Quantity: 10 }, { Transaction_Id: 182839, Transaction_Date: '2018/1/10', Product: 'Smartfood Popcorn', Price: 2.5, Payment_Type: 'Visa', Name: 'Anushka', City: 'Maple Ridge District Municipality', State: 'British Columbia', Country: 'Canada', Product_Detail: 'White Cheddar 9 Ounce', Quantity: 1 }, { Transaction_Id: 182840, Transaction_Date: '2018/1/7', Product: 'Kraft Grated Parmesan Cheese', Price: 14.89, Payment_Type: 'Mastercard', Name: 'June', City: 'Beachwood', State: 'OH', Country: 'United States', Product_Detail: '24 oz', Quantity: 7 }, { Transaction_Id: 182841, Transaction_Date: '2018/1/4', Product: 'Smartfood Popcorn', Price: 2.5, Payment_Type: 'Diners', Name: 'Baybars', City: 'Prince Albert', State: 'Saskatchewan', Country: 'Canada', Product_Detail: 'White Cheddar 9 Ounce', Quantity: 5 }, { Transaction_Id: 182842, Transaction_Date: '2018/1/5', Product: 'KIND Bars Almond & Coconut Gluten Free', Price: 14.5, Payment_Type: 'Mastercard', Name: 'Bonnie', City: 'Saltsjobaden', State: 'Stockholm', Country: 'Sweden', Product_Detail: '1.4 Ounce Bars 12 Count', Quantity: 7 }, { Transaction_Id: 182843, Transaction_Date: '2018/1/2', Product: 'Smartfood Popcorn', Price: 2.5, Payment_Type: 'Visa', Name: 'Cindy', City: 'Kemble', State: 'England', Country: 'United Kingdom', Product_Detail: 'White Cheddar 9 Ounce', Quantity: 1 }, { Transaction_Id: 182844, Transaction_Date: '2018/1/12', Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)", Price: 35, Payment_Type: 'Mastercard', Name: 'Chrissy', City: 'W Lebanon', State: 'NH', Country: 'United States', Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher', Quantity: 1 }, { Transaction_Id: 182845, Transaction_Date: '2018/1/4', Product: 'Smartfood Popcorn', Price: 2.5, Payment_Type: 'Mastercard', Name: 'Tamar', City: 'Headley', State: 'England', Country: 'United Kingdom', Product_Detail: 'White Cheddar 9 Ounce', Quantity: 1 }, { Transaction_Id: 182846, Transaction_Date: '2018/1/7', Product: 'Smartfood Popcorn', Price: 2.5, Payment_Type: 'Mastercard', Name: 'Deirdre', City: 'Lausanne', State: 'Vaud', Country: 'Switzerland', Product_Detail: 'White Cheddar 9 Ounce', Quantity: 1 }, { Transaction_Id: 182847, Transaction_Date: '2018/1/12', Product: 'Planters Deluxe Whole Cashew', Price: 8.52, Payment_Type: 'Mastercard', Name: 'Bernadett', City: 'Southampton', State: 'England', Country: 'United Kingdom', Product_Detail: '18.25 Ounce', Quantity: 1 }, { Transaction_Id: 182848, Transaction_Date: '2018/1/8', Product: 'Kraft Grated Parmesan Cheese', Price: 14.89, Payment_Type: 'Visa', Name: 'Dottie', City: 'Woodsboro', State: 'MD', Country: 'United States', Product_Detail: '24 oz', Quantity: 1 }, { Transaction_Id: 182849, Transaction_Date: '2018/1/11', Product: 'Smartfood Popcorn', Price: 2.5, Payment_Type: 'Visa', Name: 'Stefan', City: 'Stavanger', State: 'Rogaland', Country: 'Norway', Product_Detail: 'White Cheddar 9 Ounce', Quantity: 2 }, { Transaction_Id: 182850, Transaction_Date: '2018/1/7', Product: 'Smartfood Popcorn', Price: 2.5, Payment_Type: 'Visa', Name: 'Gina', City: 'Red Deer', State: 'Alberta', Country: 'Canada', Product_Detail: 'White Cheddar 9 Ounce', Quantity: 1 }, { Transaction_Id: 182851, Transaction_Date: '2018/1/2', Product: 'Teddy Grahams Crackers', Price: 19.6, Payment_Type: 'Diners', Name: 'Lynne', City: 'Memphis', State: 'TN', Country: 'United States', Product_Detail: 'Honey 10-Ounce Boxes 6-Pack', Quantity: 4 }, { Transaction_Id: 182852, Transaction_Date: '2018/1/5', Product: 'Kraft Real Mayo', Price: 5.71, Payment_Type: 'Mastercard', Name: 'Tammy', City: 'Morges', State: 'Vaud', Country: 'Switzerland', Product_Detail: '30 Ounces', Quantity: 4 }, { Transaction_Id: 182853, Transaction_Date: '2018/1/8', Product: 'Planters Deluxe Whole Cashew', Price: 8.52, Payment_Type: 'Visa', Name: 'Kim', City: 'Calgary', State: 'Alberta', Country: 'Canada', Product_Detail: '18.25 Ounce', Quantity: 2 }, { Transaction_Id: 182854, Transaction_Date: '2018/1/8', Product: 'KIND Bars Almond & Coconut Gluten Free', Price: 14.5, Payment_Type: 'Visa', Name: 'Bruce', City: 'Belleville', State: 'Ontario', Country: 'Canada', Product_Detail: '1.4 Ounce Bars 12 Count', Quantity: 6 }, { Transaction_Id: 182855, Transaction_Date: '2018/1/11', Product: 'Kraft Real Mayo', Price: 5.71, Payment_Type: 'Visa', Name: 'Rosa Maria', City: 'Cincinnati', State: 'OH', Country: 'United States', Product_Detail: '30 Ounces', Quantity: 1 }, { Transaction_Id: 182856, Transaction_Date: '2018/1/12', Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)", Price: 35, Payment_Type: 'Visa', Name: 'Lydia', City: 'Comox', State: 'British Columbia', Country: 'Canada', Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher', Quantity: 3 }, { Transaction_Id: 182857, Transaction_Date: '2018/1/12', Product: 'Planters Deluxe Whole Cashew', Price: 8.52, Payment_Type: 'Visa', Name: 'Eric', City: 'Gasperich', State: 'Luxembourg', Country: 'Luxembourg', Product_Detail: '18.25 Ounce', Quantity: 1 }, { Transaction_Id: 182858, Transaction_Date: '2018/1/11', Product: 'KIND Bars Almond & Coconut Gluten Free', Price: 14.5, Payment_Type: 'Mastercard', Name: 'AnaPaula', City: 'Helens Bay', State: 'Northern Ireland', Country: 'United Kingdom', Product_Detail: '1.4 Ounce Bars 12 Count', Quantity: 1 }, { Transaction_Id: 182859, Transaction_Date: '2018/1/13', Product: 'Smartfood Popcorn', Price: 2.5, Payment_Type: 'Visa', Name: 'Robin', City: 'Milan', State: 'Lombardy', Country: 'Italy', Product_Detail: 'White Cheddar 9 Ounce', Quantity: 1 }, { Transaction_Id: 182860, Transaction_Date: '2018/1/13', Product: 'KIND Bars Almond & Coconut Gluten Free', Price: 14.5, Payment_Type: 'Visa', Name: 'Gitte', City: 'Staten Island', State: 'NY', Country: 'United States', Product_Detail: '1.4 Ounce Bars 12 Count', Quantity: 8 }, { Transaction_Id: 182861, Transaction_Date: '2018/1/8', Product: 'Planters Deluxe Whole Cashew', Price: 8.52, Payment_Type: 'Visa', Name: 'Dr. Claudia', City: 'Oslo', State: 'Oslo', Country: 'Norway', Product_Detail: '18.25 Ounce', Quantity: 1 }, { Transaction_Id: 182862, Transaction_Date: '2018/1/2', Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)", Price: 35, Payment_Type: 'Visa', Name: 'Crystal', City: 'Farmington', State: 'Michigan', Country: 'United States', Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher', Quantity: 1 }, { Transaction_Id: 182863, Transaction_Date: '2018/1/7', Product: 'Planters Deluxe Whole Cashew', Price: 8.52, Payment_Type: 'Diners', Name: 'Delphine', City: 'Santa Monica', State: 'CA', Country: 'United States', Product_Detail: '18.25 Ounce', Quantity: 8 }, { Transaction_Id: 182864, Transaction_Date: '2018/1/1', Product: 'Kraft Grated Parmesan Cheese', Price: 14.89, Payment_Type: 'Visa', Name: 'Nathalie', City: 'Calgary', State: 'Alberta', Country: 'Canada', Product_Detail: '24 oz', Quantity: 1 }, { Transaction_Id: 182865, Transaction_Date: '2018/1/3', Product: 'KIND Bars Almond & Coconut Gluten Free', Price: 14.5, Payment_Type: 'Mastercard', Name: 'Lindi', City: 'Vancouver', State: 'British Columbia', Country: 'Canada', Product_Detail: '1.4 Ounce Bars 12 Count', Quantity: 6 }, { Transaction_Id: 182866, Transaction_Date: '2018/1/12', Product: 'Kraft Grated Parmesan Cheese', Price: 14.89, Payment_Type: 'Mastercard', Name: 'Valda', City: 'Irvine', State: 'CA', Country: 'United States', Product_Detail: '24 oz', Quantity: 6 }, { Transaction_Id: 182867, Transaction_Date: '2018/1/5', Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)", Price: 35, Payment_Type: 'Mastercard', Name: 'Marcia', City: 'Telgte', State: 'Nordrhein-Westfalen', Country: 'Germany', Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher', Quantity: 4 }, { Transaction_Id: 182868, Transaction_Date: '2018/1/10', Product: 'Smartfood Popcorn', Price: 2.5, Payment_Type: 'Mastercard', Name: 'Kevin', City: 'Cheltenham', State: 'England', Country: 'United Kingdom', Product_Detail: 'White Cheddar 9 Ounce', Quantity: 4 }, { Transaction_Id: 182869, Transaction_Date: '2018/1/13', Product: 'Smartfood Popcorn', Price: 2.5, Payment_Type: 'Visa', Name: 'Clare', City: 'Keller', State: 'VA', Country: 'United States', Product_Detail: 'White Cheddar 9 Ounce', Quantity: 2 }, { Transaction_Id: 182870, Transaction_Date: '2018/1/2', Product: 'Kraft Grated Parmesan Cheese', Price: 14.89, Payment_Type: 'Visa', Name: 'Alice', City: 'Nakskov', State: 'Storstrom', Country: 'Denmark', Product_Detail: '24 oz', Quantity: 2 }, { Transaction_Id: 182871, Transaction_Date: '2018/1/14', Product: 'Kraft Real Mayo', Price: 5.71, Payment_Type: 'Mastercard', Name: 'ZENA', City: 'Honolulu', State: 'HI', Country: 'United States', Product_Detail: '30 Ounces', Quantity: 7 }, { Transaction_Id: 182872, Transaction_Date: '2018/1/6', Product: 'Smartfood Popcorn', Price: 2.5, Payment_Type: 'Visa', Name: 'Andrea', City: 'Bubuieci', State: 'Chisinau', Country: 'Moldova', Product_Detail: 'White Cheddar 9 Ounce', Quantity: 2 }, { Transaction_Id: 182873, Transaction_Date: '2018/1/3', Product: 'Kraft Grated Parmesan Cheese', Price: 14.89, Payment_Type: 'Visa', Name: 'Rennae', City: 'Amelia Island', State: 'FL', Country: 'United States', Product_Detail: '24 oz', Quantity: 8 }, { Transaction_Id: 182874, Transaction_Date: '2018/1/4', Product: 'Kraft Grated Parmesan Cheese', Price: 14.89, Payment_Type: 'Visa', Name: 'Gerhard', City: 'Alliston', State: 'Ontario', Country: 'Canada', Product_Detail: '24 oz', Quantity: 1 }, { Transaction_Id: 182875, Transaction_Date: '2018/1/12', Product: 'Kraft Grated Parmesan Cheese', Price: 14.89, Payment_Type: 'Amex', Name: 'Megan', City: 'La Alberca', State: 'Murcia', Country: 'Spain', Product_Detail: '24 oz', Quantity: 1 }, { Transaction_Id: 182876, Transaction_Date: '2018/1/6', Product: 'Kraft Real Mayo', Price: 5.71, Payment_Type: 'Mastercard', Name: 'Danielle', City: 'Rathgar', State: 'Dublin', Country: 'Ireland', Product_Detail: '30 Ounces', Quantity: 6 }, { Transaction_Id: 182877, Transaction_Date: '2018/1/13', Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)", Price: 35, Payment_Type: 'Mastercard', Name: 'Tod', City: 'Coral Gables', State: 'FL', Country: 'United States', Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher', Quantity: 4 }, { Transaction_Id: 182878, Transaction_Date: '2018/1/14', Product: 'Smartfood Popcorn', Price: 2.5, Payment_Type: 'Visa', Name: 'Janaina', City: 'Miami', State: 'FL', Country: 'United States', Product_Detail: 'White Cheddar 9 Ounce', Quantity: 6 }, { Transaction_Id: 182879, Transaction_Date: '2018/1/6', Product: 'Planters Deluxe Whole Cashew', Price: 8.52, Payment_Type: 'Visa', Name: 'Kofi', City: 'Vancouver', State: 'British Columbia', Country: 'Canada', Product_Detail: '18.25 Ounce', Quantity: 3 }, { Transaction_Id: 182880, Transaction_Date: '2018/1/14', Product: 'KIND Bars Almond & Coconut Gluten Free', Price: 14.5, Payment_Type: 'Visa', Name: 'Jennifer', City: 'Jumeira', State: 'Dubayy', Country: 'United Arab Emirates', Product_Detail: '1.4 Ounce Bars 12 Count', Quantity: 4 }, { Transaction_Id: 182881, Transaction_Date: '2018/1/13', Product: 'Planters Deluxe Whole Cashew', Price: 8.52, Payment_Type: 'Visa', Name: 'Jolene', City: 'Englewood', State: 'CO', Country: 'United States', Product_Detail: '18.25 Ounce', Quantity: 3 }, { Transaction_Id: 182882, Transaction_Date: '2018/1/8', Product: 'Smartfood Popcorn', Price: 2.5, Payment_Type: 'Mastercard', Name: 'Anne', City: 'Bournemouth', State: 'England', Country: 'United Kingdom', Product_Detail: 'White Cheddar 9 Ounce', Quantity: 7 }, { Transaction_Id: 182883, Transaction_Date: '2018/1/15', Product: 'Kraft Real Mayo', Price: 5.71, Payment_Type: 'Mastercard', Name: 'Alexis', City: 'Genoa', State: 'IL', Country: 'United States', Product_Detail: '30 Ounces', Quantity: 8 }, { Transaction_Id: 182884, Transaction_Date: '2018/1/12', Product: 'Kraft Grated Parmesan Cheese', Price: 14.89, Payment_Type: 'Visa', Name: 'Dez', City: "Al 'Adliyah", State: 'Al Manamah', Country: 'Bahrain', Product_Detail: '24 oz', Quantity: 3 }, { Transaction_Id: 182885, Transaction_Date: '2018/1/15', Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)", Price: 35, Payment_Type: 'Visa', Name: 'Stephanie', City: 'Rouen', State: 'Upper Normandy', Country: 'France', Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher', Quantity: 1 }, { Transaction_Id: 182886, Transaction_Date: '2018/1/5', Product: 'Planters Deluxe Whole Cashew', Price: 8.52, Payment_Type: 'Visa', Name: 'Melissa', City: 'Parkland', State: 'FL', Country: 'United States', Product_Detail: '18.25 Ounce', Quantity: 2 }, { Transaction_Id: 182887, Transaction_Date: '2018/1/10', Product: 'Teddy Grahams Crackers', Price: 19.6, Payment_Type: 'Amex', Name: 'CLARE', City: 'San Francisco', State: 'CA', Country: 'United States', Product_Detail: 'Honey 10-Ounce Boxes 6-Pack', Quantity: 7 }, { Transaction_Id: 182888, Transaction_Date: '2018/1/15', Product: 'Kraft Grated Parmesan Cheese', Price: 14.89, Payment_Type: 'Mastercard', Name: 'Catherine', City: 'Keller', State: 'VA', Country: 'United States', Product_Detail: '24 oz', Quantity: 1 }, { Transaction_Id: 182889, Transaction_Date: '2018/1/12', Product: 'Teddy Grahams Crackers', Price: 19.6, Payment_Type: 'Visa', Name: 'Veronique', City: 'Tsawwassen', State: 'British Columbia', Country: 'Canada', Product_Detail: 'Honey 10-Ounce Boxes 6-Pack', Quantity: 3 }, { Transaction_Id: 182890, Transaction_Date: '2018/1/6', Product: 'Teddy Grahams Crackers', Price: 19.6, Payment_Type: 'Mastercard', Name: 'Bruce and Camille', City: 'Clinton', State: 'NJ', Country: 'United States', Product_Detail: 'Honey 10-Ounce Boxes 6-Pack', Quantity: 1 }, { Transaction_Id: 182891, Transaction_Date: '2018/1/14', Product: 'KIND Bars Almond & Coconut Gluten Free', Price: 14.5, Payment_Type: 'Mastercard', Name: 'Ellen', City: 'Owensboro', State: 'KY', Country: 'United States', Product_Detail: '1.4 Ounce Bars 12 Count', Quantity: 10 }, { Transaction_Id: 182892, Transaction_Date: '2018/1/14', Product: 'Planters Deluxe Whole Cashew', Price: 8.52, Payment_Type: 'Visa', Name: 'Amy', City: 'Lakewood Village', State: 'TX', Country: 'United States', Product_Detail: '18.25 Ounce', Quantity: 1 }, { Transaction_Id: 182893, Transaction_Date: '2018/1/6', Product: 'Smartfood Popcorn', Price: 2.5, Payment_Type: 'Visa', Name: 'Anna', City: 'Okotoks', State: 'Alberta', Country: 'Canada', Product_Detail: 'White Cheddar 9 Ounce', Quantity: 1 }];

This example demonstrates the DataViews header selection feature, which allows the user to select entire sets of data based on the rows and groups.
When the allowHeaderSelect property is set to true, a selection icon is placed in the row header.
When the icon is clicked, that row is selected.
If that row is a group header, the group is selected.
If that row is the grid header (or if you select the header in the top left header cell), the entire grid is selected.
<!DOCTYPE html>
<html lang="en">
<head>
<base href="/dataviewsjs/demos/en/sample/Features/Selection/HeaderSelection/angular/" />
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta name="keywords" content="selection, multiple selection, header row checkbox" />
<meta
name="description"
content="This example demonstrates the DataViews header selection feature, which allows the user to select entire sets of data based on the rows and groups."
/>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<title>Header Selection | Features | MESCIUS DataViewsJS Angular Demos</title>
<link href="/dataviewsjs/demos/node_modules/normalize.css/normalize.css" rel="stylesheet" type="text/css" />
<link href="/dataviewsjs/demos/static/css/base.css" rel="stylesheet" type="text/css" />
<link href="/dataviewsjs/demos/static/dataviews/gc.dataviews.core.min.css" rel="stylesheet" type="text/css" />
<link href="/dataviewsjs/demos/static/dataviews/gc.dataviews.grid.min.css" rel="stylesheet" type="text/css" />
<script src="/dataviewsjs/demos/static/js/angular-polyfills.min.js" type="text/javascript"></script>
<script type="text/javascript">
window.process = {
env: {
NODE_ENV: 'production',
USE_NPM: false,
USE_CDN: false,
SITE_ROOT: '/dataviewsjs/demos',
FRAMEWORK: 'angular',
DVJS_LICENSE_KEY:
'E348418822993781#B0EWvwY4dNNVQqJHUDpFROVWe5ZWNYFlVQFmRsJWRht4Z6lDO4Vla7YUaXhEWxd7Z5YXMuRnY7tWTQRHSlVnaYlXNhlEOpdkZ0FHWYJ5QKd6VXN5aR3ieGhUav9kZTBXWahkYBhEVutmZ72CbjdlZvV5TVdGdiplQsZXe95kUmNmZVF5cJ3mcypWNyx4UydESE3UblxGZyE7KQ94R4BjbUxUewsiaoREMxRDNllWREV6Voh4Q4dDZPRjWrIzUJl4TERXcQZWMHp4Sp9WaMZzN5o6StJmVDJXcwIVVmR6UMVGOlxUW8RmTxZDZTJWVN5GZqJHZuVDMkVGSW3WdxNzKCdDdSB7TzY7cqlnMU5GVyNzNP9WMyhDRvEEOFdkQORDM4dFVlFFWqFWSyMjNQJiOiMlIsISQyIkQ9YjQxIiOigkIsUTM7YjNxYTM0IicfJye&Qf35VfikFVVljI0IyQiwiIxYHITp4c7VWaWFGdhRkI0IiTis7W0ICZyBlIsIiNxUTN6ADI8EDMxMjMwIjI0ICdyNkIsIyc59yc5l6YzVWbuoCLwpmLzVXajNXZt9iKs2WauMXdpN6cl5mLqwSbvNmLzVXajNXZt9iKsAnau26YuMXdpN6cl5mLqwSbvNmL6VGZ9RXajVGchJ7ZuoCLuNmLt36YukHdpNWZwFmcn9iKs46bj9Se4l6YlBXYydmLqwicr9ybj9Se4l6YlBXYydmLqwCcq9ybj9Se4l6YlBXYydmLqIiOiMXbEJCLiMVVJN4UF5kI0ISYONkIsUWdyRnOiwmdFJCLiEDO7MTO9IjM8gTM4gDNzIiOiQWSisnOiQkIsISP3EkVxBVUHFDMplzLlVUdGd7cI9UeIt4SshESzV7NvY7ZxlDOuNTb5tzLr',
SJS_LICENSE_KEY:
'E518585142165236#B0wm4nx4QzdlTHRTSOFzcvVnaJdjSnNEeXdTMUtSUzk6bU94QuVXNwZVZjd4SzYjcadXRIVEMzEXTThkVyR7R85UayoHZZBTYQ5mZyh4Shd6VxFXazF4cBNGRG5WTvUGTsV4T6knQYRzKxxUdk9EarplU7d6VLF6KIR7bPJ5N6ZUMWZWaURGRKRDbLJDN5YjSN5mUoxmaxonSD56LEh7Y7RXenpmTvomevZlV9dkaysCO7hTRQFHcGRWQyc5LI9kQmB7QwR4Z7ZHOR3CSXp6SiFWYzFXeXZUSp94K8VDTkFjdwl4KptSYlRWcDxmNE5kS6kzdrkVcNJXROVGbLJkcTNGRzIER8tmd4YGNhh7dxAnMvIHRv46VtBXS4U5KvJ6dZJ6M5p4TxIjd9I5QSpXTTV6SDZXb7lzaL56ZiojITJCLikTQxUTQFV4NiojIIJCLyETO7UzM7kTO0IicfJye&Qf35VfikkR9IkI0IyQiwiIyEjL6ByUKBCZhVmcwNlI0IiTis7W0ICZyBlIsISNwkTN6ADI8EDMxMjMwIjI0ICdyNkIsIyc59yc5l6YzVWbuoCLwpmLzVXajNXZt9iKs2WauMXdpN6cl5mLqwSbvNmLzVXajNXZt9iKsAnau26YuMXdpN6cl5mLqwSbvNmL6VGZ9RXajVGchJ7ZuoCLuNmLt36YukHdpNWZwFmcn9iKs46bj9Se4l6YlBXYydmLqwicr9ybj9Se4l6YlBXYydmLqwCcq9ybj9Se4l6YlBXYydmLqIiOiMXbEJCLiMVVJN4UF5kI0ISYONkIsUWdyRnOiwmdFJCLiYzMyUjNxIDNxUDO5gTM5IiOiQWSiwSfdtlOicGbmJCLlNHbhZmOiI7ckJye0ICbuFkI1pjIEJCLi4TPRtGOhtWWEFWd4IDOLRVRvx4SyMGcDhTW6n4ep',
},
};
</script>
<script src="/dataviewsjs/demos/static/js/license.js" type="text/javascript"></script>
<script src="/dataviewsjs/demos/node_modules/systemjs/dist/system.js" type="text/javascript"></script>
<script src="systemjs.config.js" type="text/javascript"></script>
</head>
<body class="theme-default">
<noscript>You need to enable JavaScript to run this app.</noscript>
<app-root></app-root>
<script type="text/javascript">
System.import('./app.ts');
</script>
</body>
</html>
import { Component } from '@angular/core';
import { GridLayout } from '@grapecity/dataviews.grid';
import { data } from './data';
const cols = [
{
id: 'country',
caption: 'Country',
dataField: 'Country',
width: 180,
},
{
id: 'state',
caption: 'State',
dataField: 'State',
width: 120,
},
{
id: 'city',
caption: 'City',
dataField: 'City',
width: 120,
},
{
id: 'product',
caption: 'Product',
dataField: 'Product',
width: 300,
},
{
id: 'detail',
caption: 'Detail',
dataField: 'Product_Detail',
width: '*',
minWidth: 300,
},
];
const layout = new GridLayout({
allowGrouping: true,
defaultGroupingInfo: {
footer: {
visible: false,
},
},
grouping: [
{
field: 'country',
},
],
allowHeaderSelect: true,
selectionMode: 'multiple',
rowHeight: 30,
});
@Component({
selector: 'app-root',
template: `
<gc-dataview id="grid" class="grid" [data]="data" [cols]="cols" [layout]="layout" autoFocus></gc-dataview>
`,
})
export class AppComponent {
data = data;
cols = cols;
layout = layout;
}
import { NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { AppComponent } from './app.component';
import { DataViewModule } from '@grapecity/dataviews.angular';
// zone.js should be loaded last to fix error 'ZoneAwarePromise has been overwritten'
import 'zone.js';
@NgModule({
declarations: [AppComponent],
imports: [DataViewModule, BrowserModule, FormsModule],
providers: [],
bootstrap: [AppComponent],
})
export class AppModule {}
if (process.env.NODE_ENV === 'production') {
enableProdMode();
}
platformBrowserDynamic()
.bootstrapModule(AppModule)
.catch((err) => console.error(err));
// sales jan small dataset
export const data = [
{
Transaction_Id: 182782,
Transaction_Date: '2018/1/2',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Mastercard',
Name: 'Carolina',
City: 'Basildon',
State: 'England',
Country: 'United Kingdom',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 8,
},
{
Transaction_Id: 182783,
Transaction_Date: '2018/1/2',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Visa',
Name: 'Betina',
City: 'Parkville',
State: 'MO',
Country: 'United States',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 3,
},
{
Transaction_Id: 182784,
Transaction_Date: '2018/1/2',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Mastercard',
Name: 'Federica e Andrea',
City: 'Astoria',
State: 'OR',
Country: 'United States',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182785,
Transaction_Date: '2018/1/3',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Visa',
Name: 'Gouya',
City: 'Echuca',
State: 'Victoria',
Country: 'Australia',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 2,
},
{
Transaction_Id: 182786,
Transaction_Date: '2018/1/4',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Visa',
Name: 'Gerd W',
City: 'Cahaba Heights',
State: 'AL',
Country: 'United States',
Product_Detail: '30 Ounces',
Quantity: 1,
},
{
Transaction_Id: 182787,
Transaction_Date: '2018/1/4',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Visa',
Name: 'LAURENCE',
City: 'Mickleton',
State: 'NJ',
Country: 'United States',
Product_Detail: '30 Ounces',
Quantity: 1,
},
{
Transaction_Id: 182788,
Transaction_Date: '2018/1/4',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Mastercard',
Name: 'Fleur',
City: 'Peoria',
State: 'IL',
Country: 'United States',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 9,
},
{
Transaction_Id: 182789,
Transaction_Date: '2018/1/2',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Mastercard',
Name: 'Adam',
City: 'Martin',
State: 'TN',
Country: 'United States',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 1,
},
{
Transaction_Id: 182790,
Transaction_Date: '2018/1/4',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Mastercard',
Name: 'Renee Elisabeth',
City: 'Tel Aviv',
State: 'Tel Aviv',
Country: 'Israel',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 2,
},
{
Transaction_Id: 182791,
Transaction_Date: '2018/1/4',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Aidan',
City: 'Chatou',
State: 'Ile-de-France',
Country: 'France',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 5,
},
{
Transaction_Id: 182792,
Transaction_Date: '2018/1/5',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Diners',
Name: 'Stacy',
City: 'New York',
State: 'NY',
Country: 'United States',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 1,
},
{
Transaction_Id: 182793,
Transaction_Date: '2018/1/5',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Amex',
Name: 'Heidi',
City: 'Eindhoven',
State: 'Noord-Brabant',
Country: 'Netherlands',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 1,
},
{
Transaction_Id: 182794,
Transaction_Date: '2018/1/2',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Mastercard',
Name: 'Sean',
City: 'Shavano Park',
State: 'TX',
Country: 'United States',
Product_Detail: '30 Ounces',
Quantity: 1,
},
{
Transaction_Id: 182795,
Transaction_Date: '2018/1/5',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Georgia',
City: 'Eagle',
State: 'ID',
Country: 'United States',
Product_Detail: '18.25 Ounce',
Quantity: 4,
},
{
Transaction_Id: 182796,
Transaction_Date: '2018/1/2',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Richard',
City: 'Riverside',
State: 'NJ',
Country: 'United States',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182797,
Transaction_Date: '2018/1/4',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Diners',
Name: 'Leanne',
City: 'Julianstown',
State: 'Meath',
Country: 'Ireland',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 1,
},
{
Transaction_Id: 182798,
Transaction_Date: '2018/1/5',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Janet',
City: 'Ottawa',
State: 'Ontario',
Country: 'Canada',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182799,
Transaction_Date: '2018/1/6',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Diners',
Name: 'Barbara',
City: 'Hyderabad',
State: 'Andhra Pradesh',
Country: 'India',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 1,
},
{
Transaction_Id: 182800,
Transaction_Date: '2018/1/6',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Sabine',
City: 'London',
State: 'England',
Country: 'United Kingdom',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182801,
Transaction_Date: '2018/1/2',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Diners',
Name: 'Hani',
City: 'Salt Lake City',
State: 'UT',
Country: 'United States',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182802,
Transaction_Date: '2018/1/6',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Jeremy',
City: 'Manchester',
State: 'England',
Country: 'United Kingdom',
Product_Detail: '24 oz',
Quantity: 10,
},
{
Transaction_Id: 182803,
Transaction_Date: '2018/1/1',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Diners',
Name: 'Janis',
City: 'Ballynora',
State: 'Cork',
Country: 'Ireland',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 3,
},
{
Transaction_Id: 182804,
Transaction_Date: '2018/1/5',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Mastercard',
Name: 'Nicola',
City: 'Roodepoort',
State: 'Gauteng',
Country: 'South Africa',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 1,
},
{
Transaction_Id: 182805,
Transaction_Date: '2018/1/6',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Visa',
Name: 'Asuman',
City: 'Chula Vista',
State: 'CA',
Country: 'United States',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 2,
},
{
Transaction_Id: 182806,
Transaction_Date: '2018/1/2',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Mastercard',
Name: 'Lena',
City: 'Kuopio',
State: 'Ita-Suomen Laani',
Country: 'Finland',
Product_Detail: '18.25 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182807,
Transaction_Date: '2018/1/1',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Visa',
Name: 'Lisa',
City: 'Sugar Land',
State: 'TX',
Country: 'United States',
Product_Detail: '30 Ounces',
Quantity: 5,
},
{
Transaction_Id: 182808,
Transaction_Date: '2018/1/7',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Diners',
Name: 'Bryan Kerrene',
City: 'New York',
State: 'NY',
Country: 'United States',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182809,
Transaction_Date: '2018/1/2',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Visa',
Name: 'Chris',
City: 'London',
State: 'England',
Country: 'United Kingdom',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 1,
},
{
Transaction_Id: 182810,
Transaction_Date: '2018/1/1',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Visa',
Name: 'Maxine',
City: 'Morton',
State: 'IL',
Country: 'United States',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 6,
},
{
Transaction_Id: 182811,
Transaction_Date: '2018/1/8',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Visa',
Name: 'Family',
City: 'Los Gatos',
State: 'CA',
Country: 'United States',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 1,
},
{
Transaction_Id: 182812,
Transaction_Date: '2018/1/8',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Mastercard',
Name: 'Katherine',
City: 'New York',
State: 'NY',
Country: 'United States',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 1,
},
{
Transaction_Id: 182813,
Transaction_Date: '2018/1/8',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Mastercard',
Name: 'Linda',
City: 'Miami',
State: 'FL',
Country: 'United States',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 1,
},
{
Transaction_Id: 182814,
Transaction_Date: '2018/1/8',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Mastercard',
Name: 'SYLVIA',
City: 'Vesenaz',
State: 'Geneve',
Country: 'Switzerland',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 7,
},
{
Transaction_Id: 182815,
Transaction_Date: '2018/1/3',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Diners',
Name: 'Sheila',
City: 'Brooklyn',
State: 'NY',
Country: 'United States',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 4,
},
{
Transaction_Id: 182816,
Transaction_Date: '2018/1/5',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Mastercard',
Name: 'Stephanie',
City: 'Badhoevedorp',
State: 'Noord-Holland',
Country: 'Netherlands',
Product_Detail: '30 Ounces',
Quantity: 1,
},
{
Transaction_Id: 182817,
Transaction_Date: '2018/1/6',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Amex',
Name: 'Kelly',
City: 'Reston',
State: 'VA',
Country: 'United States',
Product_Detail: '30 Ounces',
Quantity: 1,
},
{
Transaction_Id: 182818,
Transaction_Date: '2018/1/5',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'James',
City: 'Burpengary',
State: 'Queensland',
Country: 'Australia',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182819,
Transaction_Date: '2018/1/8',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Jennifer',
City: 'Phoenix',
State: 'AZ',
Country: 'United States',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 3,
},
{
Transaction_Id: 182820,
Transaction_Date: '2018/1/9',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Mastercard',
Name: 'Anneli',
City: 'Houston',
State: 'TX',
Country: 'United States',
Product_Detail: '18.25 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182821,
Transaction_Date: '2018/1/6',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Amex',
Name: 'Ritz',
City: 'Pittsfield',
State: 'VT',
Country: 'United States',
Product_Detail: '18.25 Ounce',
Quantity: 2,
},
{
Transaction_Id: 182822,
Transaction_Date: '2018/1/6',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Amex',
Name: 'Sylvia',
City: 'Pittsfield',
State: 'VT',
Country: 'United States',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 1,
},
{
Transaction_Id: 182823,
Transaction_Date: '2018/1/7',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Mastercard',
Name: 'Marie',
City: 'Ball Ground',
State: 'GA',
Country: 'United States',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182824,
Transaction_Date: '2018/1/3',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Mehmet Fatih',
City: 'Helsingor',
State: 'Frederiksborg',
Country: 'Denmark',
Product_Detail: '18.25 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182825,
Transaction_Date: '2018/1/7',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Visa',
Name: 'Anabela',
City: 'Flossmoor',
State: 'IL',
Country: 'United States',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 1,
},
{
Transaction_Id: 182826,
Transaction_Date: '2018/1/7',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Amex',
Name: 'Nicole',
City: 'Houston',
State: 'TX',
Country: 'United States',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 1,
},
{
Transaction_Id: 182827,
Transaction_Date: '2018/1/3',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Christiane',
City: 'Delray Beach',
State: 'FL',
Country: 'United States',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 9,
},
{
Transaction_Id: 182828,
Transaction_Date: '2018/1/9',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Mastercard',
Name: 'Sari',
City: 'Newbury',
State: 'England',
Country: 'United Kingdom',
Product_Detail: '24 oz',
Quantity: 4,
},
{
Transaction_Id: 182829,
Transaction_Date: '2018/1/3',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Mastercard',
Name: 'Simone',
City: 'Kobenhavn',
State: 'Kobenhavn',
Country: 'Denmark',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182830,
Transaction_Date: '2018/1/10',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Amex',
Name: 'Vanessa',
City: 'Sandy Springs',
State: 'GA',
Country: 'United States',
Product_Detail: '18.25 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182831,
Transaction_Date: '2018/1/10',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Diners',
Name: 'Anupam',
City: 'Kinsaley',
State: 'Dublin',
Country: 'Ireland',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 2,
},
{
Transaction_Id: 182832,
Transaction_Date: '2018/1/10',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Visa',
Name: 'Karina',
City: 'Fort Lauderdale',
State: 'FL',
Country: 'United States',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 2,
},
{
Transaction_Id: 182833,
Transaction_Date: '2018/1/6',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Mastercard',
Name: 'Frank',
City: 'Melbourne',
State: 'Victoria',
Country: 'Australia',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 3,
},
{
Transaction_Id: 182834,
Transaction_Date: '2018/1/10',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Visa',
Name: 'Angela',
City: 'Ankeny',
State: 'IA',
Country: 'United States',
Product_Detail: '30 Ounces',
Quantity: 8,
},
{
Transaction_Id: 182835,
Transaction_Date: '2018/1/7',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Darren',
City: 'Pittsboro',
State: 'NC',
Country: 'United States',
Product_Detail: '24 oz',
Quantity: 10,
},
{
Transaction_Id: 182836,
Transaction_Date: '2018/1/1',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Mastercard',
Name: 'Nikki',
City: 'New Rochelle',
State: 'NY',
Country: 'United States',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 4,
},
{
Transaction_Id: 182837,
Transaction_Date: '2018/1/11',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Chris',
City: 'Gold Coast',
State: 'Queensland',
Country: 'Australia',
Product_Detail: '18.25 Ounce',
Quantity: 3,
},
{
Transaction_Id: 182838,
Transaction_Date: '2018/1/11',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Visa',
Name: 'Stephanie',
City: 'Brussels',
State: 'Brussels (Bruxelles)',
Country: 'Belgium',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 10,
},
{
Transaction_Id: 182839,
Transaction_Date: '2018/1/10',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Anushka',
City: 'Maple Ridge District Municipality',
State: 'British Columbia',
Country: 'Canada',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182840,
Transaction_Date: '2018/1/7',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Mastercard',
Name: 'June',
City: 'Beachwood',
State: 'OH',
Country: 'United States',
Product_Detail: '24 oz',
Quantity: 7,
},
{
Transaction_Id: 182841,
Transaction_Date: '2018/1/4',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Diners',
Name: 'Baybars',
City: 'Prince Albert',
State: 'Saskatchewan',
Country: 'Canada',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 5,
},
{
Transaction_Id: 182842,
Transaction_Date: '2018/1/5',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Mastercard',
Name: 'Bonnie',
City: 'Saltsjobaden',
State: 'Stockholm',
Country: 'Sweden',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 7,
},
{
Transaction_Id: 182843,
Transaction_Date: '2018/1/2',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Cindy',
City: 'Kemble',
State: 'England',
Country: 'United Kingdom',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182844,
Transaction_Date: '2018/1/12',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Mastercard',
Name: 'Chrissy',
City: 'W Lebanon',
State: 'NH',
Country: 'United States',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 1,
},
{
Transaction_Id: 182845,
Transaction_Date: '2018/1/4',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Mastercard',
Name: 'Tamar',
City: 'Headley',
State: 'England',
Country: 'United Kingdom',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182846,
Transaction_Date: '2018/1/7',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Mastercard',
Name: 'Deirdre',
City: 'Lausanne',
State: 'Vaud',
Country: 'Switzerland',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182847,
Transaction_Date: '2018/1/12',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Mastercard',
Name: 'Bernadett',
City: 'Southampton',
State: 'England',
Country: 'United Kingdom',
Product_Detail: '18.25 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182848,
Transaction_Date: '2018/1/8',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Dottie',
City: 'Woodsboro',
State: 'MD',
Country: 'United States',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182849,
Transaction_Date: '2018/1/11',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Stefan',
City: 'Stavanger',
State: 'Rogaland',
Country: 'Norway',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 2,
},
{
Transaction_Id: 182850,
Transaction_Date: '2018/1/7',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Gina',
City: 'Red Deer',
State: 'Alberta',
Country: 'Canada',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182851,
Transaction_Date: '2018/1/2',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Diners',
Name: 'Lynne',
City: 'Memphis',
State: 'TN',
Country: 'United States',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 4,
},
{
Transaction_Id: 182852,
Transaction_Date: '2018/1/5',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Mastercard',
Name: 'Tammy',
City: 'Morges',
State: 'Vaud',
Country: 'Switzerland',
Product_Detail: '30 Ounces',
Quantity: 4,
},
{
Transaction_Id: 182853,
Transaction_Date: '2018/1/8',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Kim',
City: 'Calgary',
State: 'Alberta',
Country: 'Canada',
Product_Detail: '18.25 Ounce',
Quantity: 2,
},
{
Transaction_Id: 182854,
Transaction_Date: '2018/1/8',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Visa',
Name: 'Bruce',
City: 'Belleville',
State: 'Ontario',
Country: 'Canada',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 6,
},
{
Transaction_Id: 182855,
Transaction_Date: '2018/1/11',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Visa',
Name: 'Rosa Maria',
City: 'Cincinnati',
State: 'OH',
Country: 'United States',
Product_Detail: '30 Ounces',
Quantity: 1,
},
{
Transaction_Id: 182856,
Transaction_Date: '2018/1/12',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Visa',
Name: 'Lydia',
City: 'Comox',
State: 'British Columbia',
Country: 'Canada',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 3,
},
{
Transaction_Id: 182857,
Transaction_Date: '2018/1/12',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Eric',
City: 'Gasperich',
State: 'Luxembourg',
Country: 'Luxembourg',
Product_Detail: '18.25 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182858,
Transaction_Date: '2018/1/11',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Mastercard',
Name: 'AnaPaula',
City: 'Helens Bay',
State: 'Northern Ireland',
Country: 'United Kingdom',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 1,
},
{
Transaction_Id: 182859,
Transaction_Date: '2018/1/13',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Robin',
City: 'Milan',
State: 'Lombardy',
Country: 'Italy',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182860,
Transaction_Date: '2018/1/13',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Visa',
Name: 'Gitte',
City: 'Staten Island',
State: 'NY',
Country: 'United States',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 8,
},
{
Transaction_Id: 182861,
Transaction_Date: '2018/1/8',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Dr. Claudia',
City: 'Oslo',
State: 'Oslo',
Country: 'Norway',
Product_Detail: '18.25 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182862,
Transaction_Date: '2018/1/2',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Visa',
Name: 'Crystal',
City: 'Farmington',
State: 'Michigan',
Country: 'United States',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 1,
},
{
Transaction_Id: 182863,
Transaction_Date: '2018/1/7',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Diners',
Name: 'Delphine',
City: 'Santa Monica',
State: 'CA',
Country: 'United States',
Product_Detail: '18.25 Ounce',
Quantity: 8,
},
{
Transaction_Id: 182864,
Transaction_Date: '2018/1/1',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Nathalie',
City: 'Calgary',
State: 'Alberta',
Country: 'Canada',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182865,
Transaction_Date: '2018/1/3',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Mastercard',
Name: 'Lindi',
City: 'Vancouver',
State: 'British Columbia',
Country: 'Canada',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 6,
},
{
Transaction_Id: 182866,
Transaction_Date: '2018/1/12',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Mastercard',
Name: 'Valda',
City: 'Irvine',
State: 'CA',
Country: 'United States',
Product_Detail: '24 oz',
Quantity: 6,
},
{
Transaction_Id: 182867,
Transaction_Date: '2018/1/5',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Mastercard',
Name: 'Marcia',
City: 'Telgte',
State: 'Nordrhein-Westfalen',
Country: 'Germany',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 4,
},
{
Transaction_Id: 182868,
Transaction_Date: '2018/1/10',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Mastercard',
Name: 'Kevin',
City: 'Cheltenham',
State: 'England',
Country: 'United Kingdom',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 4,
},
{
Transaction_Id: 182869,
Transaction_Date: '2018/1/13',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Clare',
City: 'Keller',
State: 'VA',
Country: 'United States',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 2,
},
{
Transaction_Id: 182870,
Transaction_Date: '2018/1/2',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Alice',
City: 'Nakskov',
State: 'Storstrom',
Country: 'Denmark',
Product_Detail: '24 oz',
Quantity: 2,
},
{
Transaction_Id: 182871,
Transaction_Date: '2018/1/14',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Mastercard',
Name: 'ZENA',
City: 'Honolulu',
State: 'HI',
Country: 'United States',
Product_Detail: '30 Ounces',
Quantity: 7,
},
{
Transaction_Id: 182872,
Transaction_Date: '2018/1/6',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Andrea',
City: 'Bubuieci',
State: 'Chisinau',
Country: 'Moldova',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 2,
},
{
Transaction_Id: 182873,
Transaction_Date: '2018/1/3',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Rennae',
City: 'Amelia Island',
State: 'FL',
Country: 'United States',
Product_Detail: '24 oz',
Quantity: 8,
},
{
Transaction_Id: 182874,
Transaction_Date: '2018/1/4',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Gerhard',
City: 'Alliston',
State: 'Ontario',
Country: 'Canada',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182875,
Transaction_Date: '2018/1/12',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Amex',
Name: 'Megan',
City: 'La Alberca',
State: 'Murcia',
Country: 'Spain',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182876,
Transaction_Date: '2018/1/6',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Mastercard',
Name: 'Danielle',
City: 'Rathgar',
State: 'Dublin',
Country: 'Ireland',
Product_Detail: '30 Ounces',
Quantity: 6,
},
{
Transaction_Id: 182877,
Transaction_Date: '2018/1/13',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Mastercard',
Name: 'Tod',
City: 'Coral Gables',
State: 'FL',
Country: 'United States',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 4,
},
{
Transaction_Id: 182878,
Transaction_Date: '2018/1/14',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Janaina',
City: 'Miami',
State: 'FL',
Country: 'United States',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 6,
},
{
Transaction_Id: 182879,
Transaction_Date: '2018/1/6',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Kofi',
City: 'Vancouver',
State: 'British Columbia',
Country: 'Canada',
Product_Detail: '18.25 Ounce',
Quantity: 3,
},
{
Transaction_Id: 182880,
Transaction_Date: '2018/1/14',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Visa',
Name: 'Jennifer',
City: 'Jumeira',
State: 'Dubayy',
Country: 'United Arab Emirates',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 4,
},
{
Transaction_Id: 182881,
Transaction_Date: '2018/1/13',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Jolene',
City: 'Englewood',
State: 'CO',
Country: 'United States',
Product_Detail: '18.25 Ounce',
Quantity: 3,
},
{
Transaction_Id: 182882,
Transaction_Date: '2018/1/8',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Mastercard',
Name: 'Anne',
City: 'Bournemouth',
State: 'England',
Country: 'United Kingdom',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 7,
},
{
Transaction_Id: 182883,
Transaction_Date: '2018/1/15',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Mastercard',
Name: 'Alexis',
City: 'Genoa',
State: 'IL',
Country: 'United States',
Product_Detail: '30 Ounces',
Quantity: 8,
},
{
Transaction_Id: 182884,
Transaction_Date: '2018/1/12',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Dez',
City: "Al 'Adliyah",
State: 'Al Manamah',
Country: 'Bahrain',
Product_Detail: '24 oz',
Quantity: 3,
},
{
Transaction_Id: 182885,
Transaction_Date: '2018/1/15',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Visa',
Name: 'Stephanie',
City: 'Rouen',
State: 'Upper Normandy',
Country: 'France',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 1,
},
{
Transaction_Id: 182886,
Transaction_Date: '2018/1/5',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Melissa',
City: 'Parkland',
State: 'FL',
Country: 'United States',
Product_Detail: '18.25 Ounce',
Quantity: 2,
},
{
Transaction_Id: 182887,
Transaction_Date: '2018/1/10',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Amex',
Name: 'CLARE',
City: 'San Francisco',
State: 'CA',
Country: 'United States',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 7,
},
{
Transaction_Id: 182888,
Transaction_Date: '2018/1/15',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Mastercard',
Name: 'Catherine',
City: 'Keller',
State: 'VA',
Country: 'United States',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182889,
Transaction_Date: '2018/1/12',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Visa',
Name: 'Veronique',
City: 'Tsawwassen',
State: 'British Columbia',
Country: 'Canada',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 3,
},
{
Transaction_Id: 182890,
Transaction_Date: '2018/1/6',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Mastercard',
Name: 'Bruce and Camille',
City: 'Clinton',
State: 'NJ',
Country: 'United States',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 1,
},
{
Transaction_Id: 182891,
Transaction_Date: '2018/1/14',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Mastercard',
Name: 'Ellen',
City: 'Owensboro',
State: 'KY',
Country: 'United States',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 10,
},
{
Transaction_Id: 182892,
Transaction_Date: '2018/1/14',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Amy',
City: 'Lakewood Village',
State: 'TX',
Country: 'United States',
Product_Detail: '18.25 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182893,
Transaction_Date: '2018/1/6',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Anna',
City: 'Okotoks',
State: 'Alberta',
Country: 'Canada',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
];
(function () {
const IS_PROD = window.process.env.NODE_ENV === 'production';
const USE_NPM = window.process.env.USE_NPM;
const USE_CDN = window.process.env.USE_CDN;
const SITE_ROOT = window.process.env.SITE_ROOT;
const FRAMEWORK = window.process.env.FRAMEWORK;
const ext = IS_PROD ? '.min.js' : '.js';
function js(name) {
return name + ext;
}
function npm(t) {
if (!t.file) {
t.file = IS_PROD ? t.prod : t.dev;
}
const version = USE_CDN && t.version ? '@' + t.version : '';
const path = t.pkg + version + '/' + t.file;
if (USE_CDN) {
return 'https://unpkg.com/' + path;
}
return 'npm:' + path;
}
function dv(t) {
if (USE_CDN || USE_NPM) {
t.file = 'dist/' + t.file + '.min.js';
return npm(t);
}
return SITE_ROOT + '/static/dataviews/' + js(t.file);
}
const isTypeScript = FRAMEWORK === 'angular';
const babelConfig = {
es2015: true,
react: true,
};
const meta = {
js: {
babelOptions: babelConfig,
},
ts: {
typescriptOptions: {
tsconfig: true
},
},
};
const map = {
// gc.dataviews packages
'@grapecity/dataviews.common': dv({pkg:'@grapecity/dataviews.common',file:'gc.dataviews.common',version:'1.8.17'}),
'@grapecity/dataviews.core': dv({pkg:'@grapecity/dataviews.core',file:'gc.dataviews.core',version:'1.8.17'}),
'@grapecity/dataviews.grid': dv({pkg:'@grapecity/dataviews.grid',file:'gc.dataviews.grid',version:'1.8.17'}),
'@grapecity/dataviews.cardlayout': dv({pkg:'@grapecity/dataviews.cardlayout',file:'gc.dataviews.cardlayout',version:'1.8.17'}),
'@grapecity/dataviews.masonry': dv({pkg:'@grapecity/dataviews.masonry',file:'gc.dataviews.masonry',version:'1.8.17'}),
'@grapecity/dataviews.calendar': dv({pkg:'@grapecity/dataviews.calendar',file:'gc.dataviews.calendar',version:'1.8.17'}),
'@grapecity/dataviews.timeline': dv({pkg:'@grapecity/dataviews.timeline',file:'gc.dataviews.timeline',version:'1.8.17'}),
'@grapecity/dataviews.trellis': dv({pkg:'@grapecity/dataviews.trellis',file:'gc.dataviews.trellis',version:'1.8.17'}),
'@grapecity/dataviews.gantt': dv({pkg:'@grapecity/dataviews.gantt',file:'gc.dataviews.gantt',version:'1.8.17'}),
'@grapecity/dataviews.searchbox': dv({pkg:'@grapecity/dataviews.searchbox',file:'gc.dataviews.searchbox',version:'1.8.17'}),
'@grapecity/dataviews.react': dv({pkg:'@grapecity/dataviews.react',file:'gc.dataviews.react',version:'1.8.17'}),
'@grapecity/dataviews.vue': dv({pkg:'@grapecity/dataviews.vue',file:'gc.dataviews.vue',version:'1.8.17'}),
'@grapecity/dataviews.angular': dv({pkg:'@grapecity/dataviews.angular',file:'gc.dataviews.angular',version:'1.8.17'}),
'@grapecity/dataviews.csvexport': dv({pkg:'@grapecity/dataviews.angular',file:'gc.dataviews.csvexport',version:'1.8.17'}),
// third-party libs
react: npm({pkg:'react',prod:'umd/react.production.min.js',dev:'umd/react.development.js',version:'16.13.1'}),
'react-dom': npm({pkg:'react-dom',prod:'umd/react-dom.production.min.js',dev:'umd/react-dom.development.js',version:'16.13.1'}),
'react-router-dom': npm({pkg:'react-router-dom',prod:'umd/react-router-dom.min.js',dev:'umd/react-router-dom.js',version:'5.2.0'}),
'vue': npm({pkg:'vue',file:'dist/vue.js',version:'2.6.12'}),
'vue-router': npm({pkg:'vue-router',file:'dist/vue-router.js',version:'3.4.3'}),
'lodash': npm({pkg: 'lodash', file: js('lodash')}),
'zone.js': npm({pkg: 'zone.js', file: js('dist/zone')}),
'rxjs': npm({pkg: 'rxjs', file: js('bundles/rxjs.umd')}),
'rxjs/operators': npm({pkg:'rxjs-operators-bundle',prod:'dist/bundle.min.js',dev:'dist/bundle.js',version:'1.0.2'}),
'@angular/core': npm({pkg: '@angular/core', file: js('bundles/core.umd')}),
'@angular/common': npm({pkg: '@angular/common', file: js('bundles/common.umd')}),
'@angular/compiler': npm({pkg: '@angular/compiler', file: js('bundles/compiler.umd')}),
'@angular/platform-browser': npm({pkg: '@angular/platform-browser', file: js('bundles/platform-browser.umd')}),
'@angular/platform-browser-dynamic': npm({pkg: '@angular/platform-browser-dynamic', file: js('bundles/platform-browser-dynamic.umd')}),
'@angular/http': npm({pkg: '@angular/http', file: js('bundles/http.umd')}),
'@angular/common/http': npm({pkg: '@angular/common', file: js('bundles/common-http.umd')}),
'@angular/router': npm({pkg: '@angular/router', file: js('bundles/router.umd')}),
'@angular/forms': npm({pkg: '@angular/forms', file: js('bundles/forms.umd')}),
// systemjs plugins
'systemjs-plugin-json': npm({pkg:'systemjs-plugin-json',file:'json.js',version:'0.3.0'}),
'systemjs-plugin-css': npm({pkg:'systemjs-plugin-css',file:'css.js',version:'0.1.37'}),
'systemjs-plugin-babel': npm({pkg:'systemjs-plugin-babel',file:'plugin-babel.js',version:'0.0.25'}),
'systemjs-babel-build': npm({pkg:'systemjs-plugin-babel',file:'systemjs-babel-browser.js',version:'0.0.25'}),
'plugin-typescript': npm({pkg:'plugin-typescript',file:'lib/plugin.js',version:'8.0.0'}),
'typescript': npm({pkg:'typescript',file:'lib/typescript.js',version:'4.0.2'}),
'systemjs-vue-browser': npm({pkg:'systemjs-vue-browser',file:'index.js',version:'1.0.11'}),
};
const config = {
defaultJSExtensions: true,
transpiler: isTypeScript ? 'plugin-typescript' : 'systemjs-plugin-babel',
typescriptOptions: {
tsconfig: true
},
meta: {
'*.json': {loader: 'systemjs-plugin-json'},
'*.css': {loader: 'systemjs-plugin-css'},
'*.vue': {loader: 'systemjs-vue-browser'},
'*.js': meta.js,
'*.ts': meta.ts,
'app.js': {
format: 'esm',
babelOptions: babelConfig,
},
'typescript': {
exports: 'ts',
},
'@grapecity/dataviews.common': {
format: 'amd',
},
'@grapecity/dataviews.core': {
format: 'amd',
deps: [
'@grapecity/dataviews.common',
],
},
'@grapecity/dataviews.grid': {
format: 'amd',
deps: [
'@grapecity/dataviews.common',
'@grapecity/dataviews.core',
],
},
'@grapecity/dataviews.cardlayout': {
format: 'amd',
deps: [
'@grapecity/dataviews.common',
],
},
'@grapecity/dataviews.masonry': {
format: 'amd',
deps: [
'@grapecity/dataviews.common',
],
},
'@grapecity/dataviews.calendar': {
format: 'amd',
deps: [
'@grapecity/dataviews.common',
'@grapecity/dataviews.core',
],
},
'@grapecity/dataviews.timeline': {
format: 'amd',
deps: [
'@grapecity/dataviews.common',
],
},
'@grapecity/dataviews.trellis': {
format: 'amd',
deps: [
'@grapecity/dataviews.common',
],
},
'@grapecity/dataviews.gantt': {
format: 'amd',
deps: [
'@grapecity/dataviews.common',
],
},
'@grapecity/dataviews.searchbox': {
format: 'amd',
deps: [
'@grapecity/dataviews.common',
],
},
'@grapecity/dataviews.react': {
format: 'amd',
deps: [
'react',
'@grapecity/dataviews.common',
'@grapecity/dataviews.core'
],
},
'@grapecity/dataviews.vue': {
format: 'amd',
deps: [
'vue',
'@grapecity/dataviews.common',
'@grapecity/dataviews.core'
],
},
'@grapecity/dataviews.angular': {
format: 'amd',
deps: [
'@angular/core',
'@grapecity/dataviews.common',
'@grapecity/dataviews.core'
],
},
'@grapecity/dataviews.csvexport': {
format: 'amd',
deps: [
'@grapecity/dataviews.common'
],
},
},
paths: {
// paths serve as alias
'npm:': SITE_ROOT + '/node_modules/',
},
// map tells the System loader where to look for things
map: map,
// packages tells the System loader how to load when no filename and/or no extension
packages: {
'.': { defaultExtension: isTypeScript ? 'ts' : 'js' },
node_modules: { defaultExtension: 'js' },
}
};
// fast format detection to avoid detection by source code using regexp
Object.keys(map).filter(function (key) {
return !config.meta[key];
}).forEach(function (key) {
const path = map[key];
if (path.indexOf('/umd') >= 0 || path.indexOf('.umd') >= 0) {
config.meta[key] = { format: 'amd' };
}
if (path.indexOf('/cjs') >= 0) {
config.meta[key] = { format: 'cjs' };
}
});
System.config(config);
})(this);

This example demonstrates the DataViews header selection feature, which allows the user to select entire sets of data based on the rows and groups.
When the allowHeaderSelect property is set to true, a selection icon is placed in the row header.
When the icon is clicked, that row is selected.
If that row is a group header, the group is selected.
If that row is the grid header (or if you select the header in the top left header cell), the entire grid is selected.
<!DOCTYPE html>
<html lang="en">
<head>
<base href="/dataviewsjs/demos/en/sample/Features/Selection/HeaderSelection/vue/" />
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta name="keywords" content="selection, multiple selection, header row checkbox" />
<meta
name="description"
content="This example demonstrates the DataViews header selection feature, which allows the user to select entire sets of data based on the rows and groups."
/>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<title>Header Selection | Features | MESCIUS DataViewsJS Vue Demos</title>
<link href="/dataviewsjs/demos/node_modules/normalize.css/normalize.css" rel="stylesheet" type="text/css" />
<link href="/dataviewsjs/demos/static/css/base.css" rel="stylesheet" type="text/css" />
<link href="/dataviewsjs/demos/static/dataviews/gc.dataviews.core.min.css" rel="stylesheet" type="text/css" />
<link href="/dataviewsjs/demos/static/dataviews/gc.dataviews.grid.min.css" rel="stylesheet" type="text/css" />
<script src="/dataviewsjs/demos/static/js/app-polyfills.min.js" type="text/javascript"></script>
<script type="text/javascript">
window.process = {
env: {
NODE_ENV: 'production',
USE_NPM: false,
USE_CDN: false,
SITE_ROOT: '/dataviewsjs/demos',
FRAMEWORK: 'vue',
DVJS_LICENSE_KEY:
'E348418822993781#B0EWvwY4dNNVQqJHUDpFROVWe5ZWNYFlVQFmRsJWRht4Z6lDO4Vla7YUaXhEWxd7Z5YXMuRnY7tWTQRHSlVnaYlXNhlEOpdkZ0FHWYJ5QKd6VXN5aR3ieGhUav9kZTBXWahkYBhEVutmZ72CbjdlZvV5TVdGdiplQsZXe95kUmNmZVF5cJ3mcypWNyx4UydESE3UblxGZyE7KQ94R4BjbUxUewsiaoREMxRDNllWREV6Voh4Q4dDZPRjWrIzUJl4TERXcQZWMHp4Sp9WaMZzN5o6StJmVDJXcwIVVmR6UMVGOlxUW8RmTxZDZTJWVN5GZqJHZuVDMkVGSW3WdxNzKCdDdSB7TzY7cqlnMU5GVyNzNP9WMyhDRvEEOFdkQORDM4dFVlFFWqFWSyMjNQJiOiMlIsISQyIkQ9YjQxIiOigkIsUTM7YjNxYTM0IicfJye&Qf35VfikFVVljI0IyQiwiIxYHITp4c7VWaWFGdhRkI0IiTis7W0ICZyBlIsIiNxUTN6ADI8EDMxMjMwIjI0ICdyNkIsIyc59yc5l6YzVWbuoCLwpmLzVXajNXZt9iKs2WauMXdpN6cl5mLqwSbvNmLzVXajNXZt9iKsAnau26YuMXdpN6cl5mLqwSbvNmL6VGZ9RXajVGchJ7ZuoCLuNmLt36YukHdpNWZwFmcn9iKs46bj9Se4l6YlBXYydmLqwicr9ybj9Se4l6YlBXYydmLqwCcq9ybj9Se4l6YlBXYydmLqIiOiMXbEJCLiMVVJN4UF5kI0ISYONkIsUWdyRnOiwmdFJCLiEDO7MTO9IjM8gTM4gDNzIiOiQWSisnOiQkIsISP3EkVxBVUHFDMplzLlVUdGd7cI9UeIt4SshESzV7NvY7ZxlDOuNTb5tzLr',
SJS_LICENSE_KEY:
'E518585142165236#B0wm4nx4QzdlTHRTSOFzcvVnaJdjSnNEeXdTMUtSUzk6bU94QuVXNwZVZjd4SzYjcadXRIVEMzEXTThkVyR7R85UayoHZZBTYQ5mZyh4Shd6VxFXazF4cBNGRG5WTvUGTsV4T6knQYRzKxxUdk9EarplU7d6VLF6KIR7bPJ5N6ZUMWZWaURGRKRDbLJDN5YjSN5mUoxmaxonSD56LEh7Y7RXenpmTvomevZlV9dkaysCO7hTRQFHcGRWQyc5LI9kQmB7QwR4Z7ZHOR3CSXp6SiFWYzFXeXZUSp94K8VDTkFjdwl4KptSYlRWcDxmNE5kS6kzdrkVcNJXROVGbLJkcTNGRzIER8tmd4YGNhh7dxAnMvIHRv46VtBXS4U5KvJ6dZJ6M5p4TxIjd9I5QSpXTTV6SDZXb7lzaL56ZiojITJCLikTQxUTQFV4NiojIIJCLyETO7UzM7kTO0IicfJye&Qf35VfikkR9IkI0IyQiwiIyEjL6ByUKBCZhVmcwNlI0IiTis7W0ICZyBlIsISNwkTN6ADI8EDMxMjMwIjI0ICdyNkIsIyc59yc5l6YzVWbuoCLwpmLzVXajNXZt9iKs2WauMXdpN6cl5mLqwSbvNmLzVXajNXZt9iKsAnau26YuMXdpN6cl5mLqwSbvNmL6VGZ9RXajVGchJ7ZuoCLuNmLt36YukHdpNWZwFmcn9iKs46bj9Se4l6YlBXYydmLqwicr9ybj9Se4l6YlBXYydmLqwCcq9ybj9Se4l6YlBXYydmLqIiOiMXbEJCLiMVVJN4UF5kI0ISYONkIsUWdyRnOiwmdFJCLiYzMyUjNxIDNxUDO5gTM5IiOiQWSiwSfdtlOicGbmJCLlNHbhZmOiI7ckJye0ICbuFkI1pjIEJCLi4TPRtGOhtWWEFWd4IDOLRVRvx4SyMGcDhTW6n4ep',
},
};
</script>
<script src="/dataviewsjs/demos/static/js/license.js" type="text/javascript"></script>
<script src="/dataviewsjs/demos/node_modules/systemjs/dist/system.js" type="text/javascript"></script>
<script src="systemjs.config.js" type="text/javascript"></script>
</head>
<body class="theme-default">
<noscript>You need to enable JavaScript to run this app.</noscript>
<div id="root"></div>
<script type="text/javascript">
System.import('./app.vue');
</script>
</body>
</html>
<template>
<gc-dataview id="grid" class="grid" :data="data" :cols="cols" :layout="layout" :autoFocus="true" />
</template>
<script>
import Vue from 'vue';
import '@grapecity/dataviews.vue';
import { GridLayout } from '@grapecity/dataviews.grid';
import { data } from './data';
const cols = [
{
id: 'country',
caption: 'Country',
dataField: 'Country',
width: 180,
},
{
id: 'state',
caption: 'State',
dataField: 'State',
width: 120,
},
{
id: 'city',
caption: 'City',
dataField: 'City',
width: 120,
},
{
id: 'product',
caption: 'Product',
dataField: 'Product',
width: 300,
},
{
id: 'detail',
caption: 'Detail',
dataField: 'Product_Detail',
width: '*',
minWidth: 300,
},
];
const layout = new GridLayout({
allowGrouping: true,
defaultGroupingInfo: {
footer: {
visible: false,
},
},
grouping: [
{
field: 'country',
},
],
allowHeaderSelect: true,
selectionMode: 'multiple',
rowHeight: 30,
});
new Vue({
el: '#root',
data: { data, cols, layout },
});
</script>
// sales jan small dataset
export const data = [
{
Transaction_Id: 182782,
Transaction_Date: '2018/1/2',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Mastercard',
Name: 'Carolina',
City: 'Basildon',
State: 'England',
Country: 'United Kingdom',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 8,
},
{
Transaction_Id: 182783,
Transaction_Date: '2018/1/2',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Visa',
Name: 'Betina',
City: 'Parkville',
State: 'MO',
Country: 'United States',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 3,
},
{
Transaction_Id: 182784,
Transaction_Date: '2018/1/2',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Mastercard',
Name: 'Federica e Andrea',
City: 'Astoria',
State: 'OR',
Country: 'United States',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182785,
Transaction_Date: '2018/1/3',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Visa',
Name: 'Gouya',
City: 'Echuca',
State: 'Victoria',
Country: 'Australia',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 2,
},
{
Transaction_Id: 182786,
Transaction_Date: '2018/1/4',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Visa',
Name: 'Gerd W',
City: 'Cahaba Heights',
State: 'AL',
Country: 'United States',
Product_Detail: '30 Ounces',
Quantity: 1,
},
{
Transaction_Id: 182787,
Transaction_Date: '2018/1/4',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Visa',
Name: 'LAURENCE',
City: 'Mickleton',
State: 'NJ',
Country: 'United States',
Product_Detail: '30 Ounces',
Quantity: 1,
},
{
Transaction_Id: 182788,
Transaction_Date: '2018/1/4',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Mastercard',
Name: 'Fleur',
City: 'Peoria',
State: 'IL',
Country: 'United States',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 9,
},
{
Transaction_Id: 182789,
Transaction_Date: '2018/1/2',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Mastercard',
Name: 'Adam',
City: 'Martin',
State: 'TN',
Country: 'United States',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 1,
},
{
Transaction_Id: 182790,
Transaction_Date: '2018/1/4',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Mastercard',
Name: 'Renee Elisabeth',
City: 'Tel Aviv',
State: 'Tel Aviv',
Country: 'Israel',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 2,
},
{
Transaction_Id: 182791,
Transaction_Date: '2018/1/4',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Aidan',
City: 'Chatou',
State: 'Ile-de-France',
Country: 'France',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 5,
},
{
Transaction_Id: 182792,
Transaction_Date: '2018/1/5',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Diners',
Name: 'Stacy',
City: 'New York',
State: 'NY',
Country: 'United States',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 1,
},
{
Transaction_Id: 182793,
Transaction_Date: '2018/1/5',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Amex',
Name: 'Heidi',
City: 'Eindhoven',
State: 'Noord-Brabant',
Country: 'Netherlands',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 1,
},
{
Transaction_Id: 182794,
Transaction_Date: '2018/1/2',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Mastercard',
Name: 'Sean',
City: 'Shavano Park',
State: 'TX',
Country: 'United States',
Product_Detail: '30 Ounces',
Quantity: 1,
},
{
Transaction_Id: 182795,
Transaction_Date: '2018/1/5',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Georgia',
City: 'Eagle',
State: 'ID',
Country: 'United States',
Product_Detail: '18.25 Ounce',
Quantity: 4,
},
{
Transaction_Id: 182796,
Transaction_Date: '2018/1/2',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Richard',
City: 'Riverside',
State: 'NJ',
Country: 'United States',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182797,
Transaction_Date: '2018/1/4',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Diners',
Name: 'Leanne',
City: 'Julianstown',
State: 'Meath',
Country: 'Ireland',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 1,
},
{
Transaction_Id: 182798,
Transaction_Date: '2018/1/5',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Janet',
City: 'Ottawa',
State: 'Ontario',
Country: 'Canada',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182799,
Transaction_Date: '2018/1/6',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Diners',
Name: 'Barbara',
City: 'Hyderabad',
State: 'Andhra Pradesh',
Country: 'India',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 1,
},
{
Transaction_Id: 182800,
Transaction_Date: '2018/1/6',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Sabine',
City: 'London',
State: 'England',
Country: 'United Kingdom',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182801,
Transaction_Date: '2018/1/2',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Diners',
Name: 'Hani',
City: 'Salt Lake City',
State: 'UT',
Country: 'United States',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182802,
Transaction_Date: '2018/1/6',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Jeremy',
City: 'Manchester',
State: 'England',
Country: 'United Kingdom',
Product_Detail: '24 oz',
Quantity: 10,
},
{
Transaction_Id: 182803,
Transaction_Date: '2018/1/1',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Diners',
Name: 'Janis',
City: 'Ballynora',
State: 'Cork',
Country: 'Ireland',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 3,
},
{
Transaction_Id: 182804,
Transaction_Date: '2018/1/5',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Mastercard',
Name: 'Nicola',
City: 'Roodepoort',
State: 'Gauteng',
Country: 'South Africa',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 1,
},
{
Transaction_Id: 182805,
Transaction_Date: '2018/1/6',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Visa',
Name: 'Asuman',
City: 'Chula Vista',
State: 'CA',
Country: 'United States',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 2,
},
{
Transaction_Id: 182806,
Transaction_Date: '2018/1/2',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Mastercard',
Name: 'Lena',
City: 'Kuopio',
State: 'Ita-Suomen Laani',
Country: 'Finland',
Product_Detail: '18.25 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182807,
Transaction_Date: '2018/1/1',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Visa',
Name: 'Lisa',
City: 'Sugar Land',
State: 'TX',
Country: 'United States',
Product_Detail: '30 Ounces',
Quantity: 5,
},
{
Transaction_Id: 182808,
Transaction_Date: '2018/1/7',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Diners',
Name: 'Bryan Kerrene',
City: 'New York',
State: 'NY',
Country: 'United States',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182809,
Transaction_Date: '2018/1/2',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Visa',
Name: 'Chris',
City: 'London',
State: 'England',
Country: 'United Kingdom',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 1,
},
{
Transaction_Id: 182810,
Transaction_Date: '2018/1/1',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Visa',
Name: 'Maxine',
City: 'Morton',
State: 'IL',
Country: 'United States',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 6,
},
{
Transaction_Id: 182811,
Transaction_Date: '2018/1/8',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Visa',
Name: 'Family',
City: 'Los Gatos',
State: 'CA',
Country: 'United States',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 1,
},
{
Transaction_Id: 182812,
Transaction_Date: '2018/1/8',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Mastercard',
Name: 'Katherine',
City: 'New York',
State: 'NY',
Country: 'United States',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 1,
},
{
Transaction_Id: 182813,
Transaction_Date: '2018/1/8',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Mastercard',
Name: 'Linda',
City: 'Miami',
State: 'FL',
Country: 'United States',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 1,
},
{
Transaction_Id: 182814,
Transaction_Date: '2018/1/8',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Mastercard',
Name: 'SYLVIA',
City: 'Vesenaz',
State: 'Geneve',
Country: 'Switzerland',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 7,
},
{
Transaction_Id: 182815,
Transaction_Date: '2018/1/3',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Diners',
Name: 'Sheila',
City: 'Brooklyn',
State: 'NY',
Country: 'United States',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 4,
},
{
Transaction_Id: 182816,
Transaction_Date: '2018/1/5',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Mastercard',
Name: 'Stephanie',
City: 'Badhoevedorp',
State: 'Noord-Holland',
Country: 'Netherlands',
Product_Detail: '30 Ounces',
Quantity: 1,
},
{
Transaction_Id: 182817,
Transaction_Date: '2018/1/6',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Amex',
Name: 'Kelly',
City: 'Reston',
State: 'VA',
Country: 'United States',
Product_Detail: '30 Ounces',
Quantity: 1,
},
{
Transaction_Id: 182818,
Transaction_Date: '2018/1/5',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'James',
City: 'Burpengary',
State: 'Queensland',
Country: 'Australia',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182819,
Transaction_Date: '2018/1/8',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Jennifer',
City: 'Phoenix',
State: 'AZ',
Country: 'United States',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 3,
},
{
Transaction_Id: 182820,
Transaction_Date: '2018/1/9',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Mastercard',
Name: 'Anneli',
City: 'Houston',
State: 'TX',
Country: 'United States',
Product_Detail: '18.25 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182821,
Transaction_Date: '2018/1/6',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Amex',
Name: 'Ritz',
City: 'Pittsfield',
State: 'VT',
Country: 'United States',
Product_Detail: '18.25 Ounce',
Quantity: 2,
},
{
Transaction_Id: 182822,
Transaction_Date: '2018/1/6',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Amex',
Name: 'Sylvia',
City: 'Pittsfield',
State: 'VT',
Country: 'United States',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 1,
},
{
Transaction_Id: 182823,
Transaction_Date: '2018/1/7',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Mastercard',
Name: 'Marie',
City: 'Ball Ground',
State: 'GA',
Country: 'United States',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182824,
Transaction_Date: '2018/1/3',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Mehmet Fatih',
City: 'Helsingor',
State: 'Frederiksborg',
Country: 'Denmark',
Product_Detail: '18.25 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182825,
Transaction_Date: '2018/1/7',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Visa',
Name: 'Anabela',
City: 'Flossmoor',
State: 'IL',
Country: 'United States',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 1,
},
{
Transaction_Id: 182826,
Transaction_Date: '2018/1/7',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Amex',
Name: 'Nicole',
City: 'Houston',
State: 'TX',
Country: 'United States',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 1,
},
{
Transaction_Id: 182827,
Transaction_Date: '2018/1/3',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Christiane',
City: 'Delray Beach',
State: 'FL',
Country: 'United States',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 9,
},
{
Transaction_Id: 182828,
Transaction_Date: '2018/1/9',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Mastercard',
Name: 'Sari',
City: 'Newbury',
State: 'England',
Country: 'United Kingdom',
Product_Detail: '24 oz',
Quantity: 4,
},
{
Transaction_Id: 182829,
Transaction_Date: '2018/1/3',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Mastercard',
Name: 'Simone',
City: 'Kobenhavn',
State: 'Kobenhavn',
Country: 'Denmark',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182830,
Transaction_Date: '2018/1/10',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Amex',
Name: 'Vanessa',
City: 'Sandy Springs',
State: 'GA',
Country: 'United States',
Product_Detail: '18.25 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182831,
Transaction_Date: '2018/1/10',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Diners',
Name: 'Anupam',
City: 'Kinsaley',
State: 'Dublin',
Country: 'Ireland',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 2,
},
{
Transaction_Id: 182832,
Transaction_Date: '2018/1/10',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Visa',
Name: 'Karina',
City: 'Fort Lauderdale',
State: 'FL',
Country: 'United States',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 2,
},
{
Transaction_Id: 182833,
Transaction_Date: '2018/1/6',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Mastercard',
Name: 'Frank',
City: 'Melbourne',
State: 'Victoria',
Country: 'Australia',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 3,
},
{
Transaction_Id: 182834,
Transaction_Date: '2018/1/10',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Visa',
Name: 'Angela',
City: 'Ankeny',
State: 'IA',
Country: 'United States',
Product_Detail: '30 Ounces',
Quantity: 8,
},
{
Transaction_Id: 182835,
Transaction_Date: '2018/1/7',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Darren',
City: 'Pittsboro',
State: 'NC',
Country: 'United States',
Product_Detail: '24 oz',
Quantity: 10,
},
{
Transaction_Id: 182836,
Transaction_Date: '2018/1/1',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Mastercard',
Name: 'Nikki',
City: 'New Rochelle',
State: 'NY',
Country: 'United States',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 4,
},
{
Transaction_Id: 182837,
Transaction_Date: '2018/1/11',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Chris',
City: 'Gold Coast',
State: 'Queensland',
Country: 'Australia',
Product_Detail: '18.25 Ounce',
Quantity: 3,
},
{
Transaction_Id: 182838,
Transaction_Date: '2018/1/11',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Visa',
Name: 'Stephanie',
City: 'Brussels',
State: 'Brussels (Bruxelles)',
Country: 'Belgium',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 10,
},
{
Transaction_Id: 182839,
Transaction_Date: '2018/1/10',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Anushka',
City: 'Maple Ridge District Municipality',
State: 'British Columbia',
Country: 'Canada',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182840,
Transaction_Date: '2018/1/7',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Mastercard',
Name: 'June',
City: 'Beachwood',
State: 'OH',
Country: 'United States',
Product_Detail: '24 oz',
Quantity: 7,
},
{
Transaction_Id: 182841,
Transaction_Date: '2018/1/4',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Diners',
Name: 'Baybars',
City: 'Prince Albert',
State: 'Saskatchewan',
Country: 'Canada',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 5,
},
{
Transaction_Id: 182842,
Transaction_Date: '2018/1/5',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Mastercard',
Name: 'Bonnie',
City: 'Saltsjobaden',
State: 'Stockholm',
Country: 'Sweden',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 7,
},
{
Transaction_Id: 182843,
Transaction_Date: '2018/1/2',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Cindy',
City: 'Kemble',
State: 'England',
Country: 'United Kingdom',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182844,
Transaction_Date: '2018/1/12',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Mastercard',
Name: 'Chrissy',
City: 'W Lebanon',
State: 'NH',
Country: 'United States',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 1,
},
{
Transaction_Id: 182845,
Transaction_Date: '2018/1/4',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Mastercard',
Name: 'Tamar',
City: 'Headley',
State: 'England',
Country: 'United Kingdom',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182846,
Transaction_Date: '2018/1/7',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Mastercard',
Name: 'Deirdre',
City: 'Lausanne',
State: 'Vaud',
Country: 'Switzerland',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182847,
Transaction_Date: '2018/1/12',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Mastercard',
Name: 'Bernadett',
City: 'Southampton',
State: 'England',
Country: 'United Kingdom',
Product_Detail: '18.25 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182848,
Transaction_Date: '2018/1/8',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Dottie',
City: 'Woodsboro',
State: 'MD',
Country: 'United States',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182849,
Transaction_Date: '2018/1/11',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Stefan',
City: 'Stavanger',
State: 'Rogaland',
Country: 'Norway',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 2,
},
{
Transaction_Id: 182850,
Transaction_Date: '2018/1/7',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Gina',
City: 'Red Deer',
State: 'Alberta',
Country: 'Canada',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182851,
Transaction_Date: '2018/1/2',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Diners',
Name: 'Lynne',
City: 'Memphis',
State: 'TN',
Country: 'United States',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 4,
},
{
Transaction_Id: 182852,
Transaction_Date: '2018/1/5',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Mastercard',
Name: 'Tammy',
City: 'Morges',
State: 'Vaud',
Country: 'Switzerland',
Product_Detail: '30 Ounces',
Quantity: 4,
},
{
Transaction_Id: 182853,
Transaction_Date: '2018/1/8',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Kim',
City: 'Calgary',
State: 'Alberta',
Country: 'Canada',
Product_Detail: '18.25 Ounce',
Quantity: 2,
},
{
Transaction_Id: 182854,
Transaction_Date: '2018/1/8',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Visa',
Name: 'Bruce',
City: 'Belleville',
State: 'Ontario',
Country: 'Canada',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 6,
},
{
Transaction_Id: 182855,
Transaction_Date: '2018/1/11',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Visa',
Name: 'Rosa Maria',
City: 'Cincinnati',
State: 'OH',
Country: 'United States',
Product_Detail: '30 Ounces',
Quantity: 1,
},
{
Transaction_Id: 182856,
Transaction_Date: '2018/1/12',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Visa',
Name: 'Lydia',
City: 'Comox',
State: 'British Columbia',
Country: 'Canada',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 3,
},
{
Transaction_Id: 182857,
Transaction_Date: '2018/1/12',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Eric',
City: 'Gasperich',
State: 'Luxembourg',
Country: 'Luxembourg',
Product_Detail: '18.25 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182858,
Transaction_Date: '2018/1/11',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Mastercard',
Name: 'AnaPaula',
City: 'Helens Bay',
State: 'Northern Ireland',
Country: 'United Kingdom',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 1,
},
{
Transaction_Id: 182859,
Transaction_Date: '2018/1/13',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Robin',
City: 'Milan',
State: 'Lombardy',
Country: 'Italy',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182860,
Transaction_Date: '2018/1/13',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Visa',
Name: 'Gitte',
City: 'Staten Island',
State: 'NY',
Country: 'United States',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 8,
},
{
Transaction_Id: 182861,
Transaction_Date: '2018/1/8',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Dr. Claudia',
City: 'Oslo',
State: 'Oslo',
Country: 'Norway',
Product_Detail: '18.25 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182862,
Transaction_Date: '2018/1/2',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Visa',
Name: 'Crystal',
City: 'Farmington',
State: 'Michigan',
Country: 'United States',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 1,
},
{
Transaction_Id: 182863,
Transaction_Date: '2018/1/7',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Diners',
Name: 'Delphine',
City: 'Santa Monica',
State: 'CA',
Country: 'United States',
Product_Detail: '18.25 Ounce',
Quantity: 8,
},
{
Transaction_Id: 182864,
Transaction_Date: '2018/1/1',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Nathalie',
City: 'Calgary',
State: 'Alberta',
Country: 'Canada',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182865,
Transaction_Date: '2018/1/3',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Mastercard',
Name: 'Lindi',
City: 'Vancouver',
State: 'British Columbia',
Country: 'Canada',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 6,
},
{
Transaction_Id: 182866,
Transaction_Date: '2018/1/12',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Mastercard',
Name: 'Valda',
City: 'Irvine',
State: 'CA',
Country: 'United States',
Product_Detail: '24 oz',
Quantity: 6,
},
{
Transaction_Id: 182867,
Transaction_Date: '2018/1/5',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Mastercard',
Name: 'Marcia',
City: 'Telgte',
State: 'Nordrhein-Westfalen',
Country: 'Germany',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 4,
},
{
Transaction_Id: 182868,
Transaction_Date: '2018/1/10',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Mastercard',
Name: 'Kevin',
City: 'Cheltenham',
State: 'England',
Country: 'United Kingdom',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 4,
},
{
Transaction_Id: 182869,
Transaction_Date: '2018/1/13',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Clare',
City: 'Keller',
State: 'VA',
Country: 'United States',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 2,
},
{
Transaction_Id: 182870,
Transaction_Date: '2018/1/2',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Alice',
City: 'Nakskov',
State: 'Storstrom',
Country: 'Denmark',
Product_Detail: '24 oz',
Quantity: 2,
},
{
Transaction_Id: 182871,
Transaction_Date: '2018/1/14',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Mastercard',
Name: 'ZENA',
City: 'Honolulu',
State: 'HI',
Country: 'United States',
Product_Detail: '30 Ounces',
Quantity: 7,
},
{
Transaction_Id: 182872,
Transaction_Date: '2018/1/6',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Andrea',
City: 'Bubuieci',
State: 'Chisinau',
Country: 'Moldova',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 2,
},
{
Transaction_Id: 182873,
Transaction_Date: '2018/1/3',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Rennae',
City: 'Amelia Island',
State: 'FL',
Country: 'United States',
Product_Detail: '24 oz',
Quantity: 8,
},
{
Transaction_Id: 182874,
Transaction_Date: '2018/1/4',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Gerhard',
City: 'Alliston',
State: 'Ontario',
Country: 'Canada',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182875,
Transaction_Date: '2018/1/12',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Amex',
Name: 'Megan',
City: 'La Alberca',
State: 'Murcia',
Country: 'Spain',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182876,
Transaction_Date: '2018/1/6',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Mastercard',
Name: 'Danielle',
City: 'Rathgar',
State: 'Dublin',
Country: 'Ireland',
Product_Detail: '30 Ounces',
Quantity: 6,
},
{
Transaction_Id: 182877,
Transaction_Date: '2018/1/13',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Mastercard',
Name: 'Tod',
City: 'Coral Gables',
State: 'FL',
Country: 'United States',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 4,
},
{
Transaction_Id: 182878,
Transaction_Date: '2018/1/14',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Janaina',
City: 'Miami',
State: 'FL',
Country: 'United States',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 6,
},
{
Transaction_Id: 182879,
Transaction_Date: '2018/1/6',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Kofi',
City: 'Vancouver',
State: 'British Columbia',
Country: 'Canada',
Product_Detail: '18.25 Ounce',
Quantity: 3,
},
{
Transaction_Id: 182880,
Transaction_Date: '2018/1/14',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Visa',
Name: 'Jennifer',
City: 'Jumeira',
State: 'Dubayy',
Country: 'United Arab Emirates',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 4,
},
{
Transaction_Id: 182881,
Transaction_Date: '2018/1/13',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Jolene',
City: 'Englewood',
State: 'CO',
Country: 'United States',
Product_Detail: '18.25 Ounce',
Quantity: 3,
},
{
Transaction_Id: 182882,
Transaction_Date: '2018/1/8',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Mastercard',
Name: 'Anne',
City: 'Bournemouth',
State: 'England',
Country: 'United Kingdom',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 7,
},
{
Transaction_Id: 182883,
Transaction_Date: '2018/1/15',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Mastercard',
Name: 'Alexis',
City: 'Genoa',
State: 'IL',
Country: 'United States',
Product_Detail: '30 Ounces',
Quantity: 8,
},
{
Transaction_Id: 182884,
Transaction_Date: '2018/1/12',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Dez',
City: "Al 'Adliyah",
State: 'Al Manamah',
Country: 'Bahrain',
Product_Detail: '24 oz',
Quantity: 3,
},
{
Transaction_Id: 182885,
Transaction_Date: '2018/1/15',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Visa',
Name: 'Stephanie',
City: 'Rouen',
State: 'Upper Normandy',
Country: 'France',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 1,
},
{
Transaction_Id: 182886,
Transaction_Date: '2018/1/5',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Melissa',
City: 'Parkland',
State: 'FL',
Country: 'United States',
Product_Detail: '18.25 Ounce',
Quantity: 2,
},
{
Transaction_Id: 182887,
Transaction_Date: '2018/1/10',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Amex',
Name: 'CLARE',
City: 'San Francisco',
State: 'CA',
Country: 'United States',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 7,
},
{
Transaction_Id: 182888,
Transaction_Date: '2018/1/15',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Mastercard',
Name: 'Catherine',
City: 'Keller',
State: 'VA',
Country: 'United States',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182889,
Transaction_Date: '2018/1/12',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Visa',
Name: 'Veronique',
City: 'Tsawwassen',
State: 'British Columbia',
Country: 'Canada',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 3,
},
{
Transaction_Id: 182890,
Transaction_Date: '2018/1/6',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Mastercard',
Name: 'Bruce and Camille',
City: 'Clinton',
State: 'NJ',
Country: 'United States',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 1,
},
{
Transaction_Id: 182891,
Transaction_Date: '2018/1/14',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Mastercard',
Name: 'Ellen',
City: 'Owensboro',
State: 'KY',
Country: 'United States',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 10,
},
{
Transaction_Id: 182892,
Transaction_Date: '2018/1/14',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Amy',
City: 'Lakewood Village',
State: 'TX',
Country: 'United States',
Product_Detail: '18.25 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182893,
Transaction_Date: '2018/1/6',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Anna',
City: 'Okotoks',
State: 'Alberta',
Country: 'Canada',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
];
(function () {
const IS_PROD = window.process.env.NODE_ENV === 'production';
const USE_NPM = window.process.env.USE_NPM;
const USE_CDN = window.process.env.USE_CDN;
const SITE_ROOT = window.process.env.SITE_ROOT;
const FRAMEWORK = window.process.env.FRAMEWORK;
const ext = IS_PROD ? '.min.js' : '.js';
function js(name) {
return name + ext;
}
function npm(t) {
if (!t.file) {
t.file = IS_PROD ? t.prod : t.dev;
}
const version = USE_CDN && t.version ? '@' + t.version : '';
const path = t.pkg + version + '/' + t.file;
if (USE_CDN) {
return 'https://unpkg.com/' + path;
}
return 'npm:' + path;
}
function dv(t) {
if (USE_CDN || USE_NPM) {
t.file = 'dist/' + t.file + '.min.js';
return npm(t);
}
return SITE_ROOT + '/static/dataviews/' + js(t.file);
}
const isTypeScript = FRAMEWORK === 'angular';
const babelConfig = {
es2015: true,
react: true,
};
const meta = {
js: {
babelOptions: babelConfig,
},
ts: {
typescriptOptions: {
tsconfig: true
},
},
};
const map = {
// gc.dataviews packages
'@grapecity/dataviews.common': dv({pkg:'@grapecity/dataviews.common',file:'gc.dataviews.common',version:'1.8.17'}),
'@grapecity/dataviews.core': dv({pkg:'@grapecity/dataviews.core',file:'gc.dataviews.core',version:'1.8.17'}),
'@grapecity/dataviews.grid': dv({pkg:'@grapecity/dataviews.grid',file:'gc.dataviews.grid',version:'1.8.17'}),
'@grapecity/dataviews.cardlayout': dv({pkg:'@grapecity/dataviews.cardlayout',file:'gc.dataviews.cardlayout',version:'1.8.17'}),
'@grapecity/dataviews.masonry': dv({pkg:'@grapecity/dataviews.masonry',file:'gc.dataviews.masonry',version:'1.8.17'}),
'@grapecity/dataviews.calendar': dv({pkg:'@grapecity/dataviews.calendar',file:'gc.dataviews.calendar',version:'1.8.17'}),
'@grapecity/dataviews.timeline': dv({pkg:'@grapecity/dataviews.timeline',file:'gc.dataviews.timeline',version:'1.8.17'}),
'@grapecity/dataviews.trellis': dv({pkg:'@grapecity/dataviews.trellis',file:'gc.dataviews.trellis',version:'1.8.17'}),
'@grapecity/dataviews.gantt': dv({pkg:'@grapecity/dataviews.gantt',file:'gc.dataviews.gantt',version:'1.8.17'}),
'@grapecity/dataviews.searchbox': dv({pkg:'@grapecity/dataviews.searchbox',file:'gc.dataviews.searchbox',version:'1.8.17'}),
'@grapecity/dataviews.react': dv({pkg:'@grapecity/dataviews.react',file:'gc.dataviews.react',version:'1.8.17'}),
'@grapecity/dataviews.vue': dv({pkg:'@grapecity/dataviews.vue',file:'gc.dataviews.vue',version:'1.8.17'}),
'@grapecity/dataviews.angular': dv({pkg:'@grapecity/dataviews.angular',file:'gc.dataviews.angular',version:'1.8.17'}),
'@grapecity/dataviews.csvexport': dv({pkg:'@grapecity/dataviews.angular',file:'gc.dataviews.csvexport',version:'1.8.17'}),
// third-party libs
react: npm({pkg:'react',prod:'umd/react.production.min.js',dev:'umd/react.development.js',version:'16.13.1'}),
'react-dom': npm({pkg:'react-dom',prod:'umd/react-dom.production.min.js',dev:'umd/react-dom.development.js',version:'16.13.1'}),
'react-router-dom': npm({pkg:'react-router-dom',prod:'umd/react-router-dom.min.js',dev:'umd/react-router-dom.js',version:'5.2.0'}),
'vue': npm({pkg:'vue',file:'dist/vue.js',version:'2.6.12'}),
'vue-router': npm({pkg:'vue-router',file:'dist/vue-router.js',version:'3.4.3'}),
'lodash': npm({pkg: 'lodash', file: js('lodash')}),
'zone.js': npm({pkg: 'zone.js', file: js('dist/zone')}),
'rxjs': npm({pkg: 'rxjs', file: js('bundles/rxjs.umd')}),
'rxjs/operators': npm({pkg:'rxjs-operators-bundle',prod:'dist/bundle.min.js',dev:'dist/bundle.js',version:'1.0.2'}),
'@angular/core': npm({pkg: '@angular/core', file: js('bundles/core.umd')}),
'@angular/common': npm({pkg: '@angular/common', file: js('bundles/common.umd')}),
'@angular/compiler': npm({pkg: '@angular/compiler', file: js('bundles/compiler.umd')}),
'@angular/platform-browser': npm({pkg: '@angular/platform-browser', file: js('bundles/platform-browser.umd')}),
'@angular/platform-browser-dynamic': npm({pkg: '@angular/platform-browser-dynamic', file: js('bundles/platform-browser-dynamic.umd')}),
'@angular/http': npm({pkg: '@angular/http', file: js('bundles/http.umd')}),
'@angular/common/http': npm({pkg: '@angular/common', file: js('bundles/common-http.umd')}),
'@angular/router': npm({pkg: '@angular/router', file: js('bundles/router.umd')}),
'@angular/forms': npm({pkg: '@angular/forms', file: js('bundles/forms.umd')}),
// systemjs plugins
'systemjs-plugin-json': npm({pkg:'systemjs-plugin-json',file:'json.js',version:'0.3.0'}),
'systemjs-plugin-css': npm({pkg:'systemjs-plugin-css',file:'css.js',version:'0.1.37'}),
'systemjs-plugin-babel': npm({pkg:'systemjs-plugin-babel',file:'plugin-babel.js',version:'0.0.25'}),
'systemjs-babel-build': npm({pkg:'systemjs-plugin-babel',file:'systemjs-babel-browser.js',version:'0.0.25'}),
'plugin-typescript': npm({pkg:'plugin-typescript',file:'lib/plugin.js',version:'8.0.0'}),
'typescript': npm({pkg:'typescript',file:'lib/typescript.js',version:'4.0.2'}),
'systemjs-vue-browser': npm({pkg:'systemjs-vue-browser',file:'index.js',version:'1.0.11'}),
};
const config = {
defaultJSExtensions: true,
transpiler: isTypeScript ? 'plugin-typescript' : 'systemjs-plugin-babel',
typescriptOptions: {
tsconfig: true
},
meta: {
'*.json': {loader: 'systemjs-plugin-json'},
'*.css': {loader: 'systemjs-plugin-css'},
'*.vue': {loader: 'systemjs-vue-browser'},
'*.js': meta.js,
'*.ts': meta.ts,
'app.js': {
format: 'esm',
babelOptions: babelConfig,
},
'typescript': {
exports: 'ts',
},
'@grapecity/dataviews.common': {
format: 'amd',
},
'@grapecity/dataviews.core': {
format: 'amd',
deps: [
'@grapecity/dataviews.common',
],
},
'@grapecity/dataviews.grid': {
format: 'amd',
deps: [
'@grapecity/dataviews.common',
'@grapecity/dataviews.core',
],
},
'@grapecity/dataviews.cardlayout': {
format: 'amd',
deps: [
'@grapecity/dataviews.common',
],
},
'@grapecity/dataviews.masonry': {
format: 'amd',
deps: [
'@grapecity/dataviews.common',
],
},
'@grapecity/dataviews.calendar': {
format: 'amd',
deps: [
'@grapecity/dataviews.common',
'@grapecity/dataviews.core',
],
},
'@grapecity/dataviews.timeline': {
format: 'amd',
deps: [
'@grapecity/dataviews.common',
],
},
'@grapecity/dataviews.trellis': {
format: 'amd',
deps: [
'@grapecity/dataviews.common',
],
},
'@grapecity/dataviews.gantt': {
format: 'amd',
deps: [
'@grapecity/dataviews.common',
],
},
'@grapecity/dataviews.searchbox': {
format: 'amd',
deps: [
'@grapecity/dataviews.common',
],
},
'@grapecity/dataviews.react': {
format: 'amd',
deps: [
'react',
'@grapecity/dataviews.common',
'@grapecity/dataviews.core'
],
},
'@grapecity/dataviews.vue': {
format: 'amd',
deps: [
'vue',
'@grapecity/dataviews.common',
'@grapecity/dataviews.core'
],
},
'@grapecity/dataviews.angular': {
format: 'amd',
deps: [
'@angular/core',
'@grapecity/dataviews.common',
'@grapecity/dataviews.core'
],
},
'@grapecity/dataviews.csvexport': {
format: 'amd',
deps: [
'@grapecity/dataviews.common'
],
},
},
paths: {
// paths serve as alias
'npm:': SITE_ROOT + '/node_modules/',
},
// map tells the System loader where to look for things
map: map,
// packages tells the System loader how to load when no filename and/or no extension
packages: {
'.': { defaultExtension: isTypeScript ? 'ts' : 'js' },
node_modules: { defaultExtension: 'js' },
}
};
// fast format detection to avoid detection by source code using regexp
Object.keys(map).filter(function (key) {
return !config.meta[key];
}).forEach(function (key) {
const path = map[key];
if (path.indexOf('/umd') >= 0 || path.indexOf('.umd') >= 0) {
config.meta[key] = { format: 'amd' };
}
if (path.indexOf('/cjs') >= 0) {
config.meta[key] = { format: 'cjs' };
}
});
System.config(config);
})(this);

This example demonstrates the DataViews header selection feature, which allows the user to select entire sets of data based on the rows and groups.
When the allowHeaderSelect property is set to true, a selection icon is placed in the row header.
When the icon is clicked, that row is selected.
If that row is a group header, the group is selected.
If that row is the grid header (or if you select the header in the top left header cell), the entire grid is selected.
<!DOCTYPE html>
<html lang="en">
<head>
<base href="/dataviewsjs/demos/en/sample/Features/Selection/HeaderSelection/react/" />
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta name="keywords" content="selection, multiple selection, header row checkbox" />
<meta
name="description"
content="This example demonstrates the DataViews header selection feature, which allows the user to select entire sets of data based on the rows and groups."
/>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<title>Header Selection | Features | MESCIUS DataViewsJS React Demos</title>
<link href="/dataviewsjs/demos/node_modules/normalize.css/normalize.css" rel="stylesheet" type="text/css" />
<link href="/dataviewsjs/demos/static/css/base.css" rel="stylesheet" type="text/css" />
<link href="/dataviewsjs/demos/static/dataviews/gc.dataviews.core.min.css" rel="stylesheet" type="text/css" />
<link href="/dataviewsjs/demos/static/dataviews/gc.dataviews.grid.min.css" rel="stylesheet" type="text/css" />
<script src="/dataviewsjs/demos/static/js/app-polyfills.min.js" type="text/javascript"></script>
<script type="text/javascript">
window.process = {
env: {
NODE_ENV: 'production',
USE_NPM: false,
USE_CDN: false,
SITE_ROOT: '/dataviewsjs/demos',
FRAMEWORK: 'react',
DVJS_LICENSE_KEY:
'E348418822993781#B0EWvwY4dNNVQqJHUDpFROVWe5ZWNYFlVQFmRsJWRht4Z6lDO4Vla7YUaXhEWxd7Z5YXMuRnY7tWTQRHSlVnaYlXNhlEOpdkZ0FHWYJ5QKd6VXN5aR3ieGhUav9kZTBXWahkYBhEVutmZ72CbjdlZvV5TVdGdiplQsZXe95kUmNmZVF5cJ3mcypWNyx4UydESE3UblxGZyE7KQ94R4BjbUxUewsiaoREMxRDNllWREV6Voh4Q4dDZPRjWrIzUJl4TERXcQZWMHp4Sp9WaMZzN5o6StJmVDJXcwIVVmR6UMVGOlxUW8RmTxZDZTJWVN5GZqJHZuVDMkVGSW3WdxNzKCdDdSB7TzY7cqlnMU5GVyNzNP9WMyhDRvEEOFdkQORDM4dFVlFFWqFWSyMjNQJiOiMlIsISQyIkQ9YjQxIiOigkIsUTM7YjNxYTM0IicfJye&Qf35VfikFVVljI0IyQiwiIxYHITp4c7VWaWFGdhRkI0IiTis7W0ICZyBlIsIiNxUTN6ADI8EDMxMjMwIjI0ICdyNkIsIyc59yc5l6YzVWbuoCLwpmLzVXajNXZt9iKs2WauMXdpN6cl5mLqwSbvNmLzVXajNXZt9iKsAnau26YuMXdpN6cl5mLqwSbvNmL6VGZ9RXajVGchJ7ZuoCLuNmLt36YukHdpNWZwFmcn9iKs46bj9Se4l6YlBXYydmLqwicr9ybj9Se4l6YlBXYydmLqwCcq9ybj9Se4l6YlBXYydmLqIiOiMXbEJCLiMVVJN4UF5kI0ISYONkIsUWdyRnOiwmdFJCLiEDO7MTO9IjM8gTM4gDNzIiOiQWSisnOiQkIsISP3EkVxBVUHFDMplzLlVUdGd7cI9UeIt4SshESzV7NvY7ZxlDOuNTb5tzLr',
SJS_LICENSE_KEY:
'E518585142165236#B0wm4nx4QzdlTHRTSOFzcvVnaJdjSnNEeXdTMUtSUzk6bU94QuVXNwZVZjd4SzYjcadXRIVEMzEXTThkVyR7R85UayoHZZBTYQ5mZyh4Shd6VxFXazF4cBNGRG5WTvUGTsV4T6knQYRzKxxUdk9EarplU7d6VLF6KIR7bPJ5N6ZUMWZWaURGRKRDbLJDN5YjSN5mUoxmaxonSD56LEh7Y7RXenpmTvomevZlV9dkaysCO7hTRQFHcGRWQyc5LI9kQmB7QwR4Z7ZHOR3CSXp6SiFWYzFXeXZUSp94K8VDTkFjdwl4KptSYlRWcDxmNE5kS6kzdrkVcNJXROVGbLJkcTNGRzIER8tmd4YGNhh7dxAnMvIHRv46VtBXS4U5KvJ6dZJ6M5p4TxIjd9I5QSpXTTV6SDZXb7lzaL56ZiojITJCLikTQxUTQFV4NiojIIJCLyETO7UzM7kTO0IicfJye&Qf35VfikkR9IkI0IyQiwiIyEjL6ByUKBCZhVmcwNlI0IiTis7W0ICZyBlIsISNwkTN6ADI8EDMxMjMwIjI0ICdyNkIsIyc59yc5l6YzVWbuoCLwpmLzVXajNXZt9iKs2WauMXdpN6cl5mLqwSbvNmLzVXajNXZt9iKsAnau26YuMXdpN6cl5mLqwSbvNmL6VGZ9RXajVGchJ7ZuoCLuNmLt36YukHdpNWZwFmcn9iKs46bj9Se4l6YlBXYydmLqwicr9ybj9Se4l6YlBXYydmLqwCcq9ybj9Se4l6YlBXYydmLqIiOiMXbEJCLiMVVJN4UF5kI0ISYONkIsUWdyRnOiwmdFJCLiYzMyUjNxIDNxUDO5gTM5IiOiQWSiwSfdtlOicGbmJCLlNHbhZmOiI7ckJye0ICbuFkI1pjIEJCLi4TPRtGOhtWWEFWd4IDOLRVRvx4SyMGcDhTW6n4ep',
},
};
</script>
<script src="/dataviewsjs/demos/static/js/license.js" type="text/javascript"></script>
<script src="/dataviewsjs/demos/node_modules/systemjs/dist/system.js" type="text/javascript"></script>
<script src="systemjs.config.js" type="text/javascript"></script>
</head>
<body class="theme-default">
<noscript>You need to enable JavaScript to run this app.</noscript>
<div id="root"></div>
<script type="text/javascript">
System.import('./app.js');
</script>
</body>
</html>
import React from 'react';
import ReactDOM from 'react-dom';
import DataView from '@grapecity/dataviews.react';
import { GridLayout } from '@grapecity/dataviews.grid';
import { data } from './data';
const cols = [
{
id: 'country',
caption: 'Country',
dataField: 'Country',
width: 180,
},
{
id: 'state',
caption: 'State',
dataField: 'State',
width: 120,
},
{
id: 'city',
caption: 'City',
dataField: 'City',
width: 120,
},
{
id: 'product',
caption: 'Product',
dataField: 'Product',
width: 300,
},
{
id: 'detail',
caption: 'Detail',
dataField: 'Product_Detail',
width: '*',
minWidth: 300,
},
];
const layout = new GridLayout({
allowGrouping: true,
defaultGroupingInfo: {
footer: {
visible: false,
},
},
grouping: [
{
field: 'country',
},
],
allowHeaderSelect: true,
selectionMode: 'multiple',
rowHeight: 30,
});
const App = () => <DataView id="grid" className="grid" data={data} cols={cols} layout={layout} autoFocus />;
ReactDOM.render(<App />, document.getElementById('root'));
// sales jan small dataset
export const data = [
{
Transaction_Id: 182782,
Transaction_Date: '2018/1/2',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Mastercard',
Name: 'Carolina',
City: 'Basildon',
State: 'England',
Country: 'United Kingdom',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 8,
},
{
Transaction_Id: 182783,
Transaction_Date: '2018/1/2',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Visa',
Name: 'Betina',
City: 'Parkville',
State: 'MO',
Country: 'United States',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 3,
},
{
Transaction_Id: 182784,
Transaction_Date: '2018/1/2',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Mastercard',
Name: 'Federica e Andrea',
City: 'Astoria',
State: 'OR',
Country: 'United States',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182785,
Transaction_Date: '2018/1/3',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Visa',
Name: 'Gouya',
City: 'Echuca',
State: 'Victoria',
Country: 'Australia',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 2,
},
{
Transaction_Id: 182786,
Transaction_Date: '2018/1/4',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Visa',
Name: 'Gerd W',
City: 'Cahaba Heights',
State: 'AL',
Country: 'United States',
Product_Detail: '30 Ounces',
Quantity: 1,
},
{
Transaction_Id: 182787,
Transaction_Date: '2018/1/4',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Visa',
Name: 'LAURENCE',
City: 'Mickleton',
State: 'NJ',
Country: 'United States',
Product_Detail: '30 Ounces',
Quantity: 1,
},
{
Transaction_Id: 182788,
Transaction_Date: '2018/1/4',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Mastercard',
Name: 'Fleur',
City: 'Peoria',
State: 'IL',
Country: 'United States',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 9,
},
{
Transaction_Id: 182789,
Transaction_Date: '2018/1/2',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Mastercard',
Name: 'Adam',
City: 'Martin',
State: 'TN',
Country: 'United States',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 1,
},
{
Transaction_Id: 182790,
Transaction_Date: '2018/1/4',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Mastercard',
Name: 'Renee Elisabeth',
City: 'Tel Aviv',
State: 'Tel Aviv',
Country: 'Israel',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 2,
},
{
Transaction_Id: 182791,
Transaction_Date: '2018/1/4',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Aidan',
City: 'Chatou',
State: 'Ile-de-France',
Country: 'France',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 5,
},
{
Transaction_Id: 182792,
Transaction_Date: '2018/1/5',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Diners',
Name: 'Stacy',
City: 'New York',
State: 'NY',
Country: 'United States',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 1,
},
{
Transaction_Id: 182793,
Transaction_Date: '2018/1/5',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Amex',
Name: 'Heidi',
City: 'Eindhoven',
State: 'Noord-Brabant',
Country: 'Netherlands',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 1,
},
{
Transaction_Id: 182794,
Transaction_Date: '2018/1/2',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Mastercard',
Name: 'Sean',
City: 'Shavano Park',
State: 'TX',
Country: 'United States',
Product_Detail: '30 Ounces',
Quantity: 1,
},
{
Transaction_Id: 182795,
Transaction_Date: '2018/1/5',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Georgia',
City: 'Eagle',
State: 'ID',
Country: 'United States',
Product_Detail: '18.25 Ounce',
Quantity: 4,
},
{
Transaction_Id: 182796,
Transaction_Date: '2018/1/2',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Richard',
City: 'Riverside',
State: 'NJ',
Country: 'United States',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182797,
Transaction_Date: '2018/1/4',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Diners',
Name: 'Leanne',
City: 'Julianstown',
State: 'Meath',
Country: 'Ireland',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 1,
},
{
Transaction_Id: 182798,
Transaction_Date: '2018/1/5',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Janet',
City: 'Ottawa',
State: 'Ontario',
Country: 'Canada',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182799,
Transaction_Date: '2018/1/6',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Diners',
Name: 'Barbara',
City: 'Hyderabad',
State: 'Andhra Pradesh',
Country: 'India',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 1,
},
{
Transaction_Id: 182800,
Transaction_Date: '2018/1/6',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Sabine',
City: 'London',
State: 'England',
Country: 'United Kingdom',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182801,
Transaction_Date: '2018/1/2',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Diners',
Name: 'Hani',
City: 'Salt Lake City',
State: 'UT',
Country: 'United States',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182802,
Transaction_Date: '2018/1/6',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Jeremy',
City: 'Manchester',
State: 'England',
Country: 'United Kingdom',
Product_Detail: '24 oz',
Quantity: 10,
},
{
Transaction_Id: 182803,
Transaction_Date: '2018/1/1',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Diners',
Name: 'Janis',
City: 'Ballynora',
State: 'Cork',
Country: 'Ireland',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 3,
},
{
Transaction_Id: 182804,
Transaction_Date: '2018/1/5',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Mastercard',
Name: 'Nicola',
City: 'Roodepoort',
State: 'Gauteng',
Country: 'South Africa',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 1,
},
{
Transaction_Id: 182805,
Transaction_Date: '2018/1/6',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Visa',
Name: 'Asuman',
City: 'Chula Vista',
State: 'CA',
Country: 'United States',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 2,
},
{
Transaction_Id: 182806,
Transaction_Date: '2018/1/2',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Mastercard',
Name: 'Lena',
City: 'Kuopio',
State: 'Ita-Suomen Laani',
Country: 'Finland',
Product_Detail: '18.25 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182807,
Transaction_Date: '2018/1/1',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Visa',
Name: 'Lisa',
City: 'Sugar Land',
State: 'TX',
Country: 'United States',
Product_Detail: '30 Ounces',
Quantity: 5,
},
{
Transaction_Id: 182808,
Transaction_Date: '2018/1/7',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Diners',
Name: 'Bryan Kerrene',
City: 'New York',
State: 'NY',
Country: 'United States',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182809,
Transaction_Date: '2018/1/2',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Visa',
Name: 'Chris',
City: 'London',
State: 'England',
Country: 'United Kingdom',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 1,
},
{
Transaction_Id: 182810,
Transaction_Date: '2018/1/1',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Visa',
Name: 'Maxine',
City: 'Morton',
State: 'IL',
Country: 'United States',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 6,
},
{
Transaction_Id: 182811,
Transaction_Date: '2018/1/8',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Visa',
Name: 'Family',
City: 'Los Gatos',
State: 'CA',
Country: 'United States',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 1,
},
{
Transaction_Id: 182812,
Transaction_Date: '2018/1/8',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Mastercard',
Name: 'Katherine',
City: 'New York',
State: 'NY',
Country: 'United States',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 1,
},
{
Transaction_Id: 182813,
Transaction_Date: '2018/1/8',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Mastercard',
Name: 'Linda',
City: 'Miami',
State: 'FL',
Country: 'United States',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 1,
},
{
Transaction_Id: 182814,
Transaction_Date: '2018/1/8',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Mastercard',
Name: 'SYLVIA',
City: 'Vesenaz',
State: 'Geneve',
Country: 'Switzerland',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 7,
},
{
Transaction_Id: 182815,
Transaction_Date: '2018/1/3',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Diners',
Name: 'Sheila',
City: 'Brooklyn',
State: 'NY',
Country: 'United States',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 4,
},
{
Transaction_Id: 182816,
Transaction_Date: '2018/1/5',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Mastercard',
Name: 'Stephanie',
City: 'Badhoevedorp',
State: 'Noord-Holland',
Country: 'Netherlands',
Product_Detail: '30 Ounces',
Quantity: 1,
},
{
Transaction_Id: 182817,
Transaction_Date: '2018/1/6',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Amex',
Name: 'Kelly',
City: 'Reston',
State: 'VA',
Country: 'United States',
Product_Detail: '30 Ounces',
Quantity: 1,
},
{
Transaction_Id: 182818,
Transaction_Date: '2018/1/5',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'James',
City: 'Burpengary',
State: 'Queensland',
Country: 'Australia',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182819,
Transaction_Date: '2018/1/8',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Jennifer',
City: 'Phoenix',
State: 'AZ',
Country: 'United States',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 3,
},
{
Transaction_Id: 182820,
Transaction_Date: '2018/1/9',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Mastercard',
Name: 'Anneli',
City: 'Houston',
State: 'TX',
Country: 'United States',
Product_Detail: '18.25 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182821,
Transaction_Date: '2018/1/6',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Amex',
Name: 'Ritz',
City: 'Pittsfield',
State: 'VT',
Country: 'United States',
Product_Detail: '18.25 Ounce',
Quantity: 2,
},
{
Transaction_Id: 182822,
Transaction_Date: '2018/1/6',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Amex',
Name: 'Sylvia',
City: 'Pittsfield',
State: 'VT',
Country: 'United States',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 1,
},
{
Transaction_Id: 182823,
Transaction_Date: '2018/1/7',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Mastercard',
Name: 'Marie',
City: 'Ball Ground',
State: 'GA',
Country: 'United States',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182824,
Transaction_Date: '2018/1/3',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Mehmet Fatih',
City: 'Helsingor',
State: 'Frederiksborg',
Country: 'Denmark',
Product_Detail: '18.25 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182825,
Transaction_Date: '2018/1/7',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Visa',
Name: 'Anabela',
City: 'Flossmoor',
State: 'IL',
Country: 'United States',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 1,
},
{
Transaction_Id: 182826,
Transaction_Date: '2018/1/7',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Amex',
Name: 'Nicole',
City: 'Houston',
State: 'TX',
Country: 'United States',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 1,
},
{
Transaction_Id: 182827,
Transaction_Date: '2018/1/3',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Christiane',
City: 'Delray Beach',
State: 'FL',
Country: 'United States',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 9,
},
{
Transaction_Id: 182828,
Transaction_Date: '2018/1/9',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Mastercard',
Name: 'Sari',
City: 'Newbury',
State: 'England',
Country: 'United Kingdom',
Product_Detail: '24 oz',
Quantity: 4,
},
{
Transaction_Id: 182829,
Transaction_Date: '2018/1/3',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Mastercard',
Name: 'Simone',
City: 'Kobenhavn',
State: 'Kobenhavn',
Country: 'Denmark',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182830,
Transaction_Date: '2018/1/10',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Amex',
Name: 'Vanessa',
City: 'Sandy Springs',
State: 'GA',
Country: 'United States',
Product_Detail: '18.25 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182831,
Transaction_Date: '2018/1/10',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Diners',
Name: 'Anupam',
City: 'Kinsaley',
State: 'Dublin',
Country: 'Ireland',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 2,
},
{
Transaction_Id: 182832,
Transaction_Date: '2018/1/10',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Visa',
Name: 'Karina',
City: 'Fort Lauderdale',
State: 'FL',
Country: 'United States',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 2,
},
{
Transaction_Id: 182833,
Transaction_Date: '2018/1/6',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Mastercard',
Name: 'Frank',
City: 'Melbourne',
State: 'Victoria',
Country: 'Australia',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 3,
},
{
Transaction_Id: 182834,
Transaction_Date: '2018/1/10',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Visa',
Name: 'Angela',
City: 'Ankeny',
State: 'IA',
Country: 'United States',
Product_Detail: '30 Ounces',
Quantity: 8,
},
{
Transaction_Id: 182835,
Transaction_Date: '2018/1/7',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Darren',
City: 'Pittsboro',
State: 'NC',
Country: 'United States',
Product_Detail: '24 oz',
Quantity: 10,
},
{
Transaction_Id: 182836,
Transaction_Date: '2018/1/1',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Mastercard',
Name: 'Nikki',
City: 'New Rochelle',
State: 'NY',
Country: 'United States',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 4,
},
{
Transaction_Id: 182837,
Transaction_Date: '2018/1/11',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Chris',
City: 'Gold Coast',
State: 'Queensland',
Country: 'Australia',
Product_Detail: '18.25 Ounce',
Quantity: 3,
},
{
Transaction_Id: 182838,
Transaction_Date: '2018/1/11',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Visa',
Name: 'Stephanie',
City: 'Brussels',
State: 'Brussels (Bruxelles)',
Country: 'Belgium',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 10,
},
{
Transaction_Id: 182839,
Transaction_Date: '2018/1/10',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Anushka',
City: 'Maple Ridge District Municipality',
State: 'British Columbia',
Country: 'Canada',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182840,
Transaction_Date: '2018/1/7',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Mastercard',
Name: 'June',
City: 'Beachwood',
State: 'OH',
Country: 'United States',
Product_Detail: '24 oz',
Quantity: 7,
},
{
Transaction_Id: 182841,
Transaction_Date: '2018/1/4',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Diners',
Name: 'Baybars',
City: 'Prince Albert',
State: 'Saskatchewan',
Country: 'Canada',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 5,
},
{
Transaction_Id: 182842,
Transaction_Date: '2018/1/5',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Mastercard',
Name: 'Bonnie',
City: 'Saltsjobaden',
State: 'Stockholm',
Country: 'Sweden',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 7,
},
{
Transaction_Id: 182843,
Transaction_Date: '2018/1/2',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Cindy',
City: 'Kemble',
State: 'England',
Country: 'United Kingdom',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182844,
Transaction_Date: '2018/1/12',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Mastercard',
Name: 'Chrissy',
City: 'W Lebanon',
State: 'NH',
Country: 'United States',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 1,
},
{
Transaction_Id: 182845,
Transaction_Date: '2018/1/4',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Mastercard',
Name: 'Tamar',
City: 'Headley',
State: 'England',
Country: 'United Kingdom',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182846,
Transaction_Date: '2018/1/7',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Mastercard',
Name: 'Deirdre',
City: 'Lausanne',
State: 'Vaud',
Country: 'Switzerland',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182847,
Transaction_Date: '2018/1/12',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Mastercard',
Name: 'Bernadett',
City: 'Southampton',
State: 'England',
Country: 'United Kingdom',
Product_Detail: '18.25 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182848,
Transaction_Date: '2018/1/8',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Dottie',
City: 'Woodsboro',
State: 'MD',
Country: 'United States',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182849,
Transaction_Date: '2018/1/11',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Stefan',
City: 'Stavanger',
State: 'Rogaland',
Country: 'Norway',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 2,
},
{
Transaction_Id: 182850,
Transaction_Date: '2018/1/7',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Gina',
City: 'Red Deer',
State: 'Alberta',
Country: 'Canada',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182851,
Transaction_Date: '2018/1/2',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Diners',
Name: 'Lynne',
City: 'Memphis',
State: 'TN',
Country: 'United States',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 4,
},
{
Transaction_Id: 182852,
Transaction_Date: '2018/1/5',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Mastercard',
Name: 'Tammy',
City: 'Morges',
State: 'Vaud',
Country: 'Switzerland',
Product_Detail: '30 Ounces',
Quantity: 4,
},
{
Transaction_Id: 182853,
Transaction_Date: '2018/1/8',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Kim',
City: 'Calgary',
State: 'Alberta',
Country: 'Canada',
Product_Detail: '18.25 Ounce',
Quantity: 2,
},
{
Transaction_Id: 182854,
Transaction_Date: '2018/1/8',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Visa',
Name: 'Bruce',
City: 'Belleville',
State: 'Ontario',
Country: 'Canada',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 6,
},
{
Transaction_Id: 182855,
Transaction_Date: '2018/1/11',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Visa',
Name: 'Rosa Maria',
City: 'Cincinnati',
State: 'OH',
Country: 'United States',
Product_Detail: '30 Ounces',
Quantity: 1,
},
{
Transaction_Id: 182856,
Transaction_Date: '2018/1/12',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Visa',
Name: 'Lydia',
City: 'Comox',
State: 'British Columbia',
Country: 'Canada',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 3,
},
{
Transaction_Id: 182857,
Transaction_Date: '2018/1/12',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Eric',
City: 'Gasperich',
State: 'Luxembourg',
Country: 'Luxembourg',
Product_Detail: '18.25 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182858,
Transaction_Date: '2018/1/11',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Mastercard',
Name: 'AnaPaula',
City: 'Helens Bay',
State: 'Northern Ireland',
Country: 'United Kingdom',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 1,
},
{
Transaction_Id: 182859,
Transaction_Date: '2018/1/13',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Robin',
City: 'Milan',
State: 'Lombardy',
Country: 'Italy',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182860,
Transaction_Date: '2018/1/13',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Visa',
Name: 'Gitte',
City: 'Staten Island',
State: 'NY',
Country: 'United States',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 8,
},
{
Transaction_Id: 182861,
Transaction_Date: '2018/1/8',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Dr. Claudia',
City: 'Oslo',
State: 'Oslo',
Country: 'Norway',
Product_Detail: '18.25 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182862,
Transaction_Date: '2018/1/2',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Visa',
Name: 'Crystal',
City: 'Farmington',
State: 'Michigan',
Country: 'United States',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 1,
},
{
Transaction_Id: 182863,
Transaction_Date: '2018/1/7',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Diners',
Name: 'Delphine',
City: 'Santa Monica',
State: 'CA',
Country: 'United States',
Product_Detail: '18.25 Ounce',
Quantity: 8,
},
{
Transaction_Id: 182864,
Transaction_Date: '2018/1/1',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Nathalie',
City: 'Calgary',
State: 'Alberta',
Country: 'Canada',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182865,
Transaction_Date: '2018/1/3',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Mastercard',
Name: 'Lindi',
City: 'Vancouver',
State: 'British Columbia',
Country: 'Canada',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 6,
},
{
Transaction_Id: 182866,
Transaction_Date: '2018/1/12',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Mastercard',
Name: 'Valda',
City: 'Irvine',
State: 'CA',
Country: 'United States',
Product_Detail: '24 oz',
Quantity: 6,
},
{
Transaction_Id: 182867,
Transaction_Date: '2018/1/5',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Mastercard',
Name: 'Marcia',
City: 'Telgte',
State: 'Nordrhein-Westfalen',
Country: 'Germany',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 4,
},
{
Transaction_Id: 182868,
Transaction_Date: '2018/1/10',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Mastercard',
Name: 'Kevin',
City: 'Cheltenham',
State: 'England',
Country: 'United Kingdom',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 4,
},
{
Transaction_Id: 182869,
Transaction_Date: '2018/1/13',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Clare',
City: 'Keller',
State: 'VA',
Country: 'United States',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 2,
},
{
Transaction_Id: 182870,
Transaction_Date: '2018/1/2',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Alice',
City: 'Nakskov',
State: 'Storstrom',
Country: 'Denmark',
Product_Detail: '24 oz',
Quantity: 2,
},
{
Transaction_Id: 182871,
Transaction_Date: '2018/1/14',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Mastercard',
Name: 'ZENA',
City: 'Honolulu',
State: 'HI',
Country: 'United States',
Product_Detail: '30 Ounces',
Quantity: 7,
},
{
Transaction_Id: 182872,
Transaction_Date: '2018/1/6',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Andrea',
City: 'Bubuieci',
State: 'Chisinau',
Country: 'Moldova',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 2,
},
{
Transaction_Id: 182873,
Transaction_Date: '2018/1/3',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Rennae',
City: 'Amelia Island',
State: 'FL',
Country: 'United States',
Product_Detail: '24 oz',
Quantity: 8,
},
{
Transaction_Id: 182874,
Transaction_Date: '2018/1/4',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Gerhard',
City: 'Alliston',
State: 'Ontario',
Country: 'Canada',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182875,
Transaction_Date: '2018/1/12',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Amex',
Name: 'Megan',
City: 'La Alberca',
State: 'Murcia',
Country: 'Spain',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182876,
Transaction_Date: '2018/1/6',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Mastercard',
Name: 'Danielle',
City: 'Rathgar',
State: 'Dublin',
Country: 'Ireland',
Product_Detail: '30 Ounces',
Quantity: 6,
},
{
Transaction_Id: 182877,
Transaction_Date: '2018/1/13',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Mastercard',
Name: 'Tod',
City: 'Coral Gables',
State: 'FL',
Country: 'United States',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 4,
},
{
Transaction_Id: 182878,
Transaction_Date: '2018/1/14',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Janaina',
City: 'Miami',
State: 'FL',
Country: 'United States',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 6,
},
{
Transaction_Id: 182879,
Transaction_Date: '2018/1/6',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Kofi',
City: 'Vancouver',
State: 'British Columbia',
Country: 'Canada',
Product_Detail: '18.25 Ounce',
Quantity: 3,
},
{
Transaction_Id: 182880,
Transaction_Date: '2018/1/14',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Visa',
Name: 'Jennifer',
City: 'Jumeira',
State: 'Dubayy',
Country: 'United Arab Emirates',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 4,
},
{
Transaction_Id: 182881,
Transaction_Date: '2018/1/13',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Jolene',
City: 'Englewood',
State: 'CO',
Country: 'United States',
Product_Detail: '18.25 Ounce',
Quantity: 3,
},
{
Transaction_Id: 182882,
Transaction_Date: '2018/1/8',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Mastercard',
Name: 'Anne',
City: 'Bournemouth',
State: 'England',
Country: 'United Kingdom',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 7,
},
{
Transaction_Id: 182883,
Transaction_Date: '2018/1/15',
Product: 'Kraft Real Mayo',
Price: 5.71,
Payment_Type: 'Mastercard',
Name: 'Alexis',
City: 'Genoa',
State: 'IL',
Country: 'United States',
Product_Detail: '30 Ounces',
Quantity: 8,
},
{
Transaction_Id: 182884,
Transaction_Date: '2018/1/12',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Visa',
Name: 'Dez',
City: "Al 'Adliyah",
State: 'Al Manamah',
Country: 'Bahrain',
Product_Detail: '24 oz',
Quantity: 3,
},
{
Transaction_Id: 182885,
Transaction_Date: '2018/1/15',
Product: "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
Price: 35,
Payment_Type: 'Visa',
Name: 'Stephanie',
City: 'Rouen',
State: 'Upper Normandy',
Country: 'France',
Product_Detail: 'Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher',
Quantity: 1,
},
{
Transaction_Id: 182886,
Transaction_Date: '2018/1/5',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Melissa',
City: 'Parkland',
State: 'FL',
Country: 'United States',
Product_Detail: '18.25 Ounce',
Quantity: 2,
},
{
Transaction_Id: 182887,
Transaction_Date: '2018/1/10',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Amex',
Name: 'CLARE',
City: 'San Francisco',
State: 'CA',
Country: 'United States',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 7,
},
{
Transaction_Id: 182888,
Transaction_Date: '2018/1/15',
Product: 'Kraft Grated Parmesan Cheese',
Price: 14.89,
Payment_Type: 'Mastercard',
Name: 'Catherine',
City: 'Keller',
State: 'VA',
Country: 'United States',
Product_Detail: '24 oz',
Quantity: 1,
},
{
Transaction_Id: 182889,
Transaction_Date: '2018/1/12',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Visa',
Name: 'Veronique',
City: 'Tsawwassen',
State: 'British Columbia',
Country: 'Canada',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 3,
},
{
Transaction_Id: 182890,
Transaction_Date: '2018/1/6',
Product: 'Teddy Grahams Crackers',
Price: 19.6,
Payment_Type: 'Mastercard',
Name: 'Bruce and Camille',
City: 'Clinton',
State: 'NJ',
Country: 'United States',
Product_Detail: 'Honey 10-Ounce Boxes 6-Pack',
Quantity: 1,
},
{
Transaction_Id: 182891,
Transaction_Date: '2018/1/14',
Product: 'KIND Bars Almond & Coconut Gluten Free',
Price: 14.5,
Payment_Type: 'Mastercard',
Name: 'Ellen',
City: 'Owensboro',
State: 'KY',
Country: 'United States',
Product_Detail: '1.4 Ounce Bars 12 Count',
Quantity: 10,
},
{
Transaction_Id: 182892,
Transaction_Date: '2018/1/14',
Product: 'Planters Deluxe Whole Cashew',
Price: 8.52,
Payment_Type: 'Visa',
Name: 'Amy',
City: 'Lakewood Village',
State: 'TX',
Country: 'United States',
Product_Detail: '18.25 Ounce',
Quantity: 1,
},
{
Transaction_Id: 182893,
Transaction_Date: '2018/1/6',
Product: 'Smartfood Popcorn',
Price: 2.5,
Payment_Type: 'Visa',
Name: 'Anna',
City: 'Okotoks',
State: 'Alberta',
Country: 'Canada',
Product_Detail: 'White Cheddar 9 Ounce',
Quantity: 1,
},
];
(function () {
const IS_PROD = window.process.env.NODE_ENV === 'production';
const USE_NPM = window.process.env.USE_NPM;
const USE_CDN = window.process.env.USE_CDN;
const SITE_ROOT = window.process.env.SITE_ROOT;
const FRAMEWORK = window.process.env.FRAMEWORK;
const ext = IS_PROD ? '.min.js' : '.js';
function js(name) {
return name + ext;
}
function npm(t) {
if (!t.file) {
t.file = IS_PROD ? t.prod : t.dev;
}
const version = USE_CDN && t.version ? '@' + t.version : '';
const path = t.pkg + version + '/' + t.file;
if (USE_CDN) {
return 'https://unpkg.com/' + path;
}
return 'npm:' + path;
}
function dv(t) {
if (USE_CDN || USE_NPM) {
t.file = 'dist/' + t.file + '.min.js';
return npm(t);
}
return SITE_ROOT + '/static/dataviews/' + js(t.file);
}
const isTypeScript = FRAMEWORK === 'angular';
const babelConfig = {
es2015: true,
react: true,
};
const meta = {
js: {
babelOptions: babelConfig,
},
ts: {
typescriptOptions: {
tsconfig: true
},
},
};
const map = {
// gc.dataviews packages
'@grapecity/dataviews.common': dv({pkg:'@grapecity/dataviews.common',file:'gc.dataviews.common',version:'1.8.17'}),
'@grapecity/dataviews.core': dv({pkg:'@grapecity/dataviews.core',file:'gc.dataviews.core',version:'1.8.17'}),
'@grapecity/dataviews.grid': dv({pkg:'@grapecity/dataviews.grid',file:'gc.dataviews.grid',version:'1.8.17'}),
'@grapecity/dataviews.cardlayout': dv({pkg:'@grapecity/dataviews.cardlayout',file:'gc.dataviews.cardlayout',version:'1.8.17'}),
'@grapecity/dataviews.masonry': dv({pkg:'@grapecity/dataviews.masonry',file:'gc.dataviews.masonry',version:'1.8.17'}),
'@grapecity/dataviews.calendar': dv({pkg:'@grapecity/dataviews.calendar',file:'gc.dataviews.calendar',version:'1.8.17'}),
'@grapecity/dataviews.timeline': dv({pkg:'@grapecity/dataviews.timeline',file:'gc.dataviews.timeline',version:'1.8.17'}),
'@grapecity/dataviews.trellis': dv({pkg:'@grapecity/dataviews.trellis',file:'gc.dataviews.trellis',version:'1.8.17'}),
'@grapecity/dataviews.gantt': dv({pkg:'@grapecity/dataviews.gantt',file:'gc.dataviews.gantt',version:'1.8.17'}),
'@grapecity/dataviews.searchbox': dv({pkg:'@grapecity/dataviews.searchbox',file:'gc.dataviews.searchbox',version:'1.8.17'}),
'@grapecity/dataviews.react': dv({pkg:'@grapecity/dataviews.react',file:'gc.dataviews.react',version:'1.8.17'}),
'@grapecity/dataviews.vue': dv({pkg:'@grapecity/dataviews.vue',file:'gc.dataviews.vue',version:'1.8.17'}),
'@grapecity/dataviews.angular': dv({pkg:'@grapecity/dataviews.angular',file:'gc.dataviews.angular',version:'1.8.17'}),
'@grapecity/dataviews.csvexport': dv({pkg:'@grapecity/dataviews.angular',file:'gc.dataviews.csvexport',version:'1.8.17'}),
// third-party libs
react: npm({pkg:'react',prod:'umd/react.production.min.js',dev:'umd/react.development.js',version:'16.13.1'}),
'react-dom': npm({pkg:'react-dom',prod:'umd/react-dom.production.min.js',dev:'umd/react-dom.development.js',version:'16.13.1'}),
'react-router-dom': npm({pkg:'react-router-dom',prod:'umd/react-router-dom.min.js',dev:'umd/react-router-dom.js',version:'5.2.0'}),
'vue': npm({pkg:'vue',file:'dist/vue.js',version:'2.6.12'}),
'vue-router': npm({pkg:'vue-router',file:'dist/vue-router.js',version:'3.4.3'}),
'lodash': npm({pkg: 'lodash', file: js('lodash')}),
'zone.js': npm({pkg: 'zone.js', file: js('dist/zone')}),
'rxjs': npm({pkg: 'rxjs', file: js('bundles/rxjs.umd')}),
'rxjs/operators': npm({pkg:'rxjs-operators-bundle',prod:'dist/bundle.min.js',dev:'dist/bundle.js',version:'1.0.2'}),
'@angular/core': npm({pkg: '@angular/core', file: js('bundles/core.umd')}),
'@angular/common': npm({pkg: '@angular/common', file: js('bundles/common.umd')}),
'@angular/compiler': npm({pkg: '@angular/compiler', file: js('bundles/compiler.umd')}),
'@angular/platform-browser': npm({pkg: '@angular/platform-browser', file: js('bundles/platform-browser.umd')}),
'@angular/platform-browser-dynamic': npm({pkg: '@angular/platform-browser-dynamic', file: js('bundles/platform-browser-dynamic.umd')}),
'@angular/http': npm({pkg: '@angular/http', file: js('bundles/http.umd')}),
'@angular/common/http': npm({pkg: '@angular/common', file: js('bundles/common-http.umd')}),
'@angular/router': npm({pkg: '@angular/router', file: js('bundles/router.umd')}),
'@angular/forms': npm({pkg: '@angular/forms', file: js('bundles/forms.umd')}),
// systemjs plugins
'systemjs-plugin-json': npm({pkg:'systemjs-plugin-json',file:'json.js',version:'0.3.0'}),
'systemjs-plugin-css': npm({pkg:'systemjs-plugin-css',file:'css.js',version:'0.1.37'}),
'systemjs-plugin-babel': npm({pkg:'systemjs-plugin-babel',file:'plugin-babel.js',version:'0.0.25'}),
'systemjs-babel-build': npm({pkg:'systemjs-plugin-babel',file:'systemjs-babel-browser.js',version:'0.0.25'}),
'plugin-typescript': npm({pkg:'plugin-typescript',file:'lib/plugin.js',version:'8.0.0'}),
'typescript': npm({pkg:'typescript',file:'lib/typescript.js',version:'4.0.2'}),
'systemjs-vue-browser': npm({pkg:'systemjs-vue-browser',file:'index.js',version:'1.0.11'}),
};
const config = {
defaultJSExtensions: true,
transpiler: isTypeScript ? 'plugin-typescript' : 'systemjs-plugin-babel',
typescriptOptions: {
tsconfig: true
},
meta: {
'*.json': {loader: 'systemjs-plugin-json'},
'*.css': {loader: 'systemjs-plugin-css'},
'*.vue': {loader: 'systemjs-vue-browser'},
'*.js': meta.js,
'*.ts': meta.ts,
'app.js': {
format: 'esm',
babelOptions: babelConfig,
},
'typescript': {
exports: 'ts',
},
'@grapecity/dataviews.common': {
format: 'amd',
},
'@grapecity/dataviews.core': {
format: 'amd',
deps: [
'@grapecity/dataviews.common',
],
},
'@grapecity/dataviews.grid': {
format: 'amd',
deps: [
'@grapecity/dataviews.common',
'@grapecity/dataviews.core',
],
},
'@grapecity/dataviews.cardlayout': {
format: 'amd',
deps: [
'@grapecity/dataviews.common',
],
},
'@grapecity/dataviews.masonry': {
format: 'amd',
deps: [
'@grapecity/dataviews.common',
],
},
'@grapecity/dataviews.calendar': {
format: 'amd',
deps: [
'@grapecity/dataviews.common',
'@grapecity/dataviews.core',
],
},
'@grapecity/dataviews.timeline': {
format: 'amd',
deps: [
'@grapecity/dataviews.common',
],
},
'@grapecity/dataviews.trellis': {
format: 'amd',
deps: [
'@grapecity/dataviews.common',
],
},
'@grapecity/dataviews.gantt': {
format: 'amd',
deps: [
'@grapecity/dataviews.common',
],
},
'@grapecity/dataviews.searchbox': {
format: 'amd',
deps: [
'@grapecity/dataviews.common',
],
},
'@grapecity/dataviews.react': {
format: 'amd',
deps: [
'react',
'@grapecity/dataviews.common',
'@grapecity/dataviews.core'
],
},
'@grapecity/dataviews.vue': {
format: 'amd',
deps: [
'vue',
'@grapecity/dataviews.common',
'@grapecity/dataviews.core'
],
},
'@grapecity/dataviews.angular': {
format: 'amd',
deps: [
'@angular/core',
'@grapecity/dataviews.common',
'@grapecity/dataviews.core'
],
},
'@grapecity/dataviews.csvexport': {
format: 'amd',
deps: [
'@grapecity/dataviews.common'
],
},
},
paths: {
// paths serve as alias
'npm:': SITE_ROOT + '/node_modules/',
},
// map tells the System loader where to look for things
map: map,
// packages tells the System loader how to load when no filename and/or no extension
packages: {
'.': { defaultExtension: isTypeScript ? 'ts' : 'js' },
node_modules: { defaultExtension: 'js' },
}
};
// fast format detection to avoid detection by source code using regexp
Object.keys(map).filter(function (key) {
return !config.meta[key];
}).forEach(function (key) {
const path = map[key];
if (path.indexOf('/umd') >= 0 || path.indexOf('.umd') >= 0) {
config.meta[key] = { format: 'amd' };
}
if (path.indexOf('/cjs') >= 0) {
config.meta[key] = { format: 'cjs' };
}
});
System.config(config);
})(this);